/* ***************************************************************** */
/* (c) Copyright Rocket Software, Inc. 2019 All Rights Reserved      */
/* ***************************************************************** */
/*  Licensed Materials - Property of IBM                             */
/*  Product(s):                                                      */
/*      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      */
/*                                                                   */
/*  (C)Copyright IBM Corporation 2016                                */
/*                                                                   */
/*  US Government Users Restricted Rights - Use, duplication or      */
/*  disclosure restricted by GSA ADP Schedule Contract with          */
/*  IBM Corp.                                                        */
/* ***************************************************************** */
/*                                                                   */
/*  Maintenance Log:                                                 */
/*                                                                   */
/*  Date     Who   ID  Description                                   */
/*  -------- ---- ---  -----------------------------------------     */
/*  12/08/15 KRM       Initial Development for KJJ situations        */
/*  03/15/16 mjr       Warning situations should not overlap the     */
/*                     the Critical situations for the same metric.  */
/*                     Defect 52391, APAR OA50242, PTF UA81330       */
/*  12/20/18 FF        Added Situations for z/OS Connect SPE (v5404) */
/*                       Also added JVM_Avg_Elapsed_Time_Warning     */
/*  01/11/18 FF        Deleted QIBCLASSID column in all situations   */
/*                       to resolve Error: Failed to resolve object  */
/*                       name for EIB notification                   */
/*  10/22/19 smw       Added new situations for v550                 */
/*                                                                   */
/* ***************************************************************** */
/*                                                                   */
/*  Insert situations for JVM Monitor                                */
/*                                                                   */
/* ***************************************************************** */

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_General_CPU_Critical"
;
  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_General_CPU_Warning"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_GC_Pause_Critical"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_GC_Pause_Warning"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_IFA_on_General_CPU_Critical"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_IFA_on_General_CPU_Warning"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_Lock_Missed_Critical"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_Lock_Missed_Warning"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_Occupancy_after_GC_Critical"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_System_GC_Warning"
;

  /* Delete for situation which have been updated since v530 GA      */
DELETE FROM O4SRV.TSITDESC
       WHERE SITNAME = "JVM_Thread_Blocked_Warning"
;

  /* Delete for situation which have been updated since v5404 GA     */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_Avg_Elapsed_Time_Warning"
;

  /* Delete for situation which have been updated since v5404 GA     */
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Http_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Resp_Critical";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Resp_Warning";
DELETE FROM O4SRV.TSITDESC
   WHERE SITNAME="JVM_zOS_Connect_Timeout_Warning";
   
   
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_General_CPU_Critical",                            /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Critical~",                      /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if general CPU percent is more than 75",  /* TEXT */
   "*IF *VALUE JVM_CPU.General_CPU_Percent *GT 75.00"         /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_General_CPU_Warning",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Warning~",                       /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if general CPU percent is more than 50",   /* TEXT */
   "*IF *VALUE JVM_CPU.General_CPU_Percent *GT 50.00 *AND *VALUE
    JVM_CPU.General_CPU_Percent *LE 75.00"                    /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_GC_Pause_Critical",                               /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Critical~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if percent time in GC Pause is more than 5", /*TXT*/
   "*IF *VALUE JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses
*GT 5.00"                                                     /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_GC_Pause_Warning",                                /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Warning~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if percent time in GC Pause is more than 2", /*TEXT*/
   "*IF *VALUE JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses
    *GT 2.00 *AND *VALUE
     JVM_Garbage_Collection.Percent_Time_in_Collection_Pauses *LE 5.00
   "                                                          /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_IFA_on_General_CPU_Critical",                     /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Critical~",                      /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if IFA on general CPU percent is more than 50", 
   "*IF *VALUE JVM_CPU.IFA_on_General_CPU_Percent *GT 50.00"  /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_IFA_on_General_CPU_Warning",                      /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=CPU.JOBNAME;SEV=Warning~",                       /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if IFA on general CPU percent is more than 25", 
   "*IF *VALUE JVM_CPU.IFA_on_General_CPU_Percent *GT 25.00 *AND *VALUE
     JVM_CPU.IFA_on_General_CPU_Percent *LE 50.00"            /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Lock_Missed_Critical",                            /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=LOCKS.JOBNAME;SEV=Critical~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if lock missed percent is more than 50",  /* TEXT */
   "*IF *VALUE JVM_Locks.Missed_Percent *GT 50.00"            /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Lock_Missed_Warning",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=LOCKS.JOBNAME;SEV=Warning~",                     /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if lock missed percent is more than 10",   /* TEXT */
   "*IF *VALUE JVM_Locks.Missed_Percent *GT 10.00 *AND *VALUE
    JVM_Locks.Missed_Percent *LE 50.00"                       /* PDT */
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Occupancy_after_GC_Critical",                     /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Critical~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Critical alert if the average occupancy percent is more than 80",
   "*IF *VALUE JVM_Garbage_Collection.Avg_Occupancy_Percent *GT 80.00"
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_System_GC_Warning",                               /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=GCSUMM.JOBNAME;SEV=Warning~",                    /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if any system GC occurred during interval",
   "*IF *VALUE JVM_Garbage_Collection.System_Collection_Count *GE 1"
 );

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Thread_Blocked_Warning",                          /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        0000000000000000000",      /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V530",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=THREADS.JOBNAME;SEV=Warning~",                   /* SITINFO */
   "",                                                     /* SOURCE */
   "Warning alert if any thread is in blocked status",       /* TEXT */
   "*IF *VALUE JVM_Threads.State *EQ BLOCKED"                 /* PDT */
 );

 
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_Avg_Elapsed_Time_Warning",                        /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        000000000K00000000",       /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1151208115751000",                                    /* LSTDATE */
   "V540",                                             /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "000500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=TXSUMM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                     /* SOURCE */
   "Warning alert if Average Elapsed Time exceeds 1 second", /* TEXT */
   "*IF *VALUE JVM_Request_Summary.Average_Response_Time *GE 1.000000" 
 ); 
 
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_zOS_Connect_Http_Warning",                        /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                  /*  ADVICE */
   "%IBM.JVM_Monitor        000000000L00000000",       /* AFFINITIES */
   "",                                                  /* ALERTLIST */
   "NNN",                                                /* AUTOSOPT */
   "*NO",                                               /* AUTOSTART */
   "*NONE",                                                   /* CMD */
   "",                                                   /* DESTNODE */
   "",                                                  /* EVENTATTR */
   "",                                                        /* HUB */
   "",                                                    /* LOCFLAG */
   "en_US",                                              /* LSTCCSID */
   "1181213124702000",                                    /* LSTDATE */
   "V5404",                                            /* LSTRELEASE */
   "SYSADMIN",                                          /* LSTUSRPRF */
   "",                                                      /* NOCOL */
   "",                                                /* NOITIFYARGS */
   "",                                                /* NOITIFYOPTS */
   "",                                                 /* OBJECTLOCK */
   "",                                                    /* PRNAMES */
   "E",                                                  /* QIBSCOPE */
   "0",                                                 /* REEV_DAYS */
   "001500",                                            /* REEV_TIME */
   "",                                                   /* REFLEXOK */
   "",                                                   /* RESERVED */
   "*NONE",                                              /* SENDMSGQ */
   "ATOM=ZCSUMM.JOBNAME;SEV=Warning~",                    /* SITINFO */ 
   "",                                                     /* SOURCE */
   "A request occurred with an HTTP Error",                  /* TEXT */
   "*IF *VALUE JVM_zOSConnect_Details.HTTP_Code *GT 299" 
 ); 
  
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_zOS_Connect_Resp_Critical",                      /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000L00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1181217223946000",                                   /* LSTDATE */
   "V5404",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZCSUMM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "z/OS Connect Request Response Time is Critical",        /* TEXT */
   "*IF *VALUE JVM_zOSConnect_Details.Total_Request_Time 
   *GT 20.000000"
 ); 
 
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_zOS_Connect_Resp_Warning",                       /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000L00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1181217224036000",                                   /* LSTDATE */
   "V5404",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZCSUMM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "z/OS Connect Request Response Time is high",            /* TEXT */
   "*IF *VALUE JVM_zOSConnect_Details.Total_Request_Time 
   *GT 10.000000 *AND *VALUE
    JVM_zOSConnect_Details.Total_Request_Time *LE 20.000000" 
 ); 
 
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_zOS_Connect_Timeout_Warning",                    /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000L00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1181217224057000",                                   /* LSTDATE */
   "V5404",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZCSUMM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "A z/OS Connect request timed out",                      /* TEXT */
   "*IF *VALUE JVM_zOSConnect_Details.Timeout *EQ Y" 
 ); 
 
/* ***************************************************************** */
/*                                                                   */
/*  Insert situations for v550                                       */
/*                                                                   */
/* ***************************************************************** */
INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM64Free_Warning",                              /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021224057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The warning threshold for free 64-bit memory has been breached",
   "*IF *VALUE JVM_Virtual_Memory.Mem64_Free_Pct *GT 10 *AND *VALUE 
    JVM_Virtual_Memory.Mem64_Free_Pct *LE 20"                /* PDT */   
 ); 


INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM64Free_Critical",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021224057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Critical~",                  /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The critical threshold for free 64-bit memory has been breached",  
   "*IF *VALUE JVM_Virtual_Memory.Mem64_Free_Pct *LT 10"    /*  pdt */  
 ); 


INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM31Free_Warning",                              /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021231057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The warning threshold for free 31-bit memory has been breached",
   "*IF *VALUE JVM_Virtual_Memory.Mem31_Free_Pct *GT 10 *AND *VALUE 
    JVM_Virtual_Memory.Mem31_Free_Pct *LE 20"                /* PDT */     
 ); 


INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM31Free_Critical",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021231057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Critical~",                  /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The critical threshold for free 31-bit memory has been breached",
   "*IF *VALUE JVM_Virtual_Memory.Mem31_Free_Pct *LT 10"     /* PDT */  
 ); 


INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM24Free_Warning",                              /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021224057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Warning~",                   /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The warning threshold for free 24-bit memory has been breached", 
   "*IF *VALUE JVM_Virtual_Memory.Mem24_Free_Pct *GT 10 *AND *VALUE 
    JVM_Virtual_Memory.Mem24_Free_Pct *LE 20"                /* PDT */   
 ); 

INSERT INTO O4SRV.TSITDESC
  (SITNAME,
   ADVISE,
   AFFINITIES,
   ALERTLIST,
   AUTOSOPT,
   AUTOSTART,
   CMD,
   DESTNODE,
   EVENTATTR,
   HUB,
   LOCFLAG,
   LSTCCSID,
   LSTDATE,
   LSTRELEASE,
   LSTUSRPRF,
   NOCOL,
   NOTIFYARGS,
   NOTIFYOPTS,
   OBJECTLOCK,
   PRNAMES,
   QIBSCOPE,
   REEV_DAYS,
   REEV_TIME,
   REFLEXOK,
   RESERVED,
   SENDMSGQ,
   SITINFO,
   SOURCE,
   TEXT,
   PDT
 )
 VALUES (
   "JVM_MEM24Free_Critical",                             /* SITNAME */
   'ADVICE("kjj:"+$ISITSTSH.SITNAME$);',                 /*  ADVICE */
   "%IBM.JVM_Monitor        000000000y00000000",      /* AFFINITIES */
   "",                                                 /* ALERTLIST */
   "NNN",                                               /* AUTOSOPT */
   "*NO",                                              /* AUTOSTART */
   "*NONE",                                                  /* CMD */
   "",                                                  /* DESTNODE */
   "",                                                 /* EVENTATTR */
   "",                                                       /* HUB */
   "",                                                   /* LOCFLAG */
   "en_US",                                             /* LSTCCSID */
   "1191021224057000",                                   /* LSTDATE */
   "V5500",                                           /* LSTRELEASE */
   "SYSADMIN",                                         /* LSTUSRPRF */
   "",                                                     /* NOCOL */
   "",                                               /* NOITIFYARGS */
   "",                                               /* NOITIFYOPTS */
   "",                                                /* OBJECTLOCK */
   "",                                                   /* PRNAMES */
   "E",                                                 /* QIBSCOPE */
   "0",                                                /* REEV_DAYS */
   "001500",                                           /* REEV_TIME */
   "",                                                  /* REFLEXOK */
   "",                                                  /* RESERVED */
   "*NONE",                                             /* SENDMSGQ */
   "ATOM=ZOSMEM.JOBNAME;SEV=Critical~",                  /* SITINFO */ 
   "",                                                    /* SOURCE */
   "The critical threshold for free 24-bit memory has been breached",
   "*IF *VALUE JVM_Virtual_Memory.Mem24_Free_Pct *LT 10"     /* PDT */ 
 ); 
   
   
