*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from AUTO.hpd
* ***************************************************************** *
* *  (c) Copyright Rocket Software, Inc. 2019 All Rights Reserved   *
* *                                                                 *
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  08/01/19 NVW       Longer columns for ZCSUMM and ZCDETL          ...
* *  10/14/19 SMW       Add ZOSMEM query                              ...
* *  10/15/19 SMW       Add JVMSUMM query                             ...
* *  10/15/19 SMW       Added new attributes to table HEALTH          ...
* *  10/18/19 SMW       Added JVMDETL query                           ...
* *  10/29/19 SMW       Use JVMVERSION in ENVIRON                     ... 
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              AUTO                                         ...
* *  Workspace View:     Auto Discovery                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Auto_Discovery;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Auto Discovery;
* DESC=Query for JVM Auto Discovery;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.AUTO;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=FULLVER;
* COLUMNS=JAVAHOME;
* COLUMNS=CONFIG;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND AUTO.ORIGINNODE EQ $NODE$;
* PRED=AND AUTO.JVMPID EQ $JVMPID$;
* PRED=AND AUTO.JOBNAME EQ $JOBNAME$;
* PRED=AND AUTO.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Auto_Discovery';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Auto_Discovery',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Auto Discovery',
  'Query for JVM Auto Discovery',
  'IBM',
  '1181215060453000',
'at=$THRUNODE$@table1.name=AUTO@table1.column1.name=JOBNAME@table1.colum
n2.name=JVMTYPE@table1.column3.name=FULLVER@table1.column4.name=JAVAHOME
@table1.column5.name=CONFIG@table1.column6.name=ASID@table1.column7.name
=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table1.colu
mn10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.connecto
r=AND@filter1.column=AUTO.ORIGINNODE@filter1.operator=EQ@filter1.value=$
NODE$@filter2.connector=AND@filter2.column=AUTO.JVMPID@filter2.operator=
EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=AUTO.JOBN
AME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@fi
lter4.column=AUTO.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCo
unt=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from CPU.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on z/OS                        ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016,2019                            ...
* *  � Copyright 2019, Rocket Software Inc., or its affiliates        ...
* *         All Rights Reserved                                       ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  08/01/19 NVW       Correct predicates from HEALTH to CPU         ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              CPU                                          ...
* *  Workspace View:     CPU Statistics                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_CPU;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=CPU Statistics;
* DESC=Query for JVM CPU Statistics;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.CPU;
* COLUMNS=JOBNAME;
* COLUMNS=UPTIME;
* COLUMNS=CPUTM;
* COLUMNS=IFATM;
* COLUMNS=IFACPTM;
* COLUMNS=CPUPN;
* COLUMNS=IFAPN;
* COLUMNS=IFACPPN;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND CPU.ORIGINNODE EQ $NODE$;
* PRED=AND CPU.JVMPID EQ $JVMPID$;
* PRED=AND CPU.JOBNAME EQ $JOBNAME$;
* PRED=AND CPU.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_General_CPU_Critical Critical;
* SITNAME=JVM_General_CPU_Warning Warning;
* SITNAME=JVM_IFA_on_General_CPU_Critical Critical;
* SITNAME=JVM_IFA_on_General_CPU_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_General_CPU_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_General_CPU_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_IFA_on_General_CPU_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_IFA_on_General_CPU_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_CPU';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_CPU' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_CPU';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_CPU',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'CPU Statistics',
  'Query for JVM CPU Statistics',
  'IBM',
  '1190802141235000',
'at=$THRUNODE$@table1.name=CPU@table1.column1.name=JOBNAME@table1.column
2.name=UPTIME@table1.column3.name=CPUTM@table1.column4.name=IFATM@table1
.column5.name=IFACPTM@table1.column6.name=CPUPN@table1.column7.name=IFAP
N@table1.column8.name=IFACPPN@table1.column9.name=ASID@table1.column10.n
ame=JVMPID@table1.column11.name=SMFID@table1.column12.name=COLLID@table1
.column13.name=ORIGINNODE@table1.columnCount=13@tableCount=1@filter1.con
nector=AND@filter1.column=CPU.ORIGINNODE@filter1.operator=EQ@filter1.val
ue=$NODE$@filter2.connector=AND@filter2.column=CPU.JVMPID@filter2.operat
or=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=CPU.JO
BNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@
filter4.column=CPU.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterC
ount=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.
name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.CPU';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.CPU',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1190802141235000',
   '_ KCJ',
   'KJJ.JVM_CPU',
   'CPU Statistics'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_CPU',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_CPU',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_General_CPU_Critical',
   'Critical',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_General_CPU_Warning',
   'Warning',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_IFA_on_General_CPU_Critical',
   'Critical',
   'KJJ.JVM_CPU',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_IFA_on_General_CPU_Warning',
   'Warning',
   'KJJ.JVM_CPU',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details                          ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Data_Details;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details;
* DESC=Query for JVM Environment Details;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ $ENVTYPE$;
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Data_Details';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Data_Details',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details',
  'Query for JVM Environment Details',
  'IBM',
  '1181215060454000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=$ENVTYPE$@filter4.conn
ector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ@filter4.valu
e=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASID@filter5.ope
rator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="TIMEOUT","600"
,3@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.Tab
leRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_BC.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Boot Classpath           ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Boot_Classpath;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Boot Classpath;
* DESC=Query for JVM Environment Details Boot Classpath;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "BOOTCLASSP";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Boot_Classpath';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Boot_Classpath',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Boot Classpath',
  'Query for JVM Environment Details Boot Classpath',
  'IBM',
  '1181215060454000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=BOOTCLASSP@filter3.typ
e=S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator
=EQ@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.
ASID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value
="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@propert
y1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_CL.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Command Line             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Command_Line;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Command Line;
* DESC=Query for JVM Environment Details Command Line;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "CMDLINE";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Command_Line';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Command_Line',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Command Line',
  'Query for JVM Environment Details Command Line',
  'IBM',
  '1181215060454000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=CMDLINE@filter3.type=S
@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ
@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASI
D@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="T
IMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_CP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Classpath                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Classpath;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Classpath;
* DESC=Query for JVM Environment Details Classpath;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "CLASSPATH";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Classpath';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Classpath',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Classpath',
  'Query for JVM Environment Details Classpath',
  'IBM',
  '1181215060454000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=CLASSPATH@filter3.type
=S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=
EQ@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.A
SID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value=
"TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property
1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_EV.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details Environment Variables    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_Environment_Variables;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details Environment Variables;
* DESC=Query for JVM Environment Details Environment Variables;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "ENVVAR";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_Environment_Variables';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_Environment_Variables',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details Environment Variables',
  'Query for JVM Environment Details Environment Variables',
  'IBM',
  '1181215060455000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=ENVVAR@filter3.type=S@
filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ@
filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASID
@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="TI
MEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.v
alue=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_JP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details JVM Parameters           ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_JVM_Parameters;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details JVM Parameters;
* DESC=Query for JVM Environment Details JVM Parameters;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "JVMPARM";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_JVM_Parameters';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_JVM_Parameters',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details JVM Parameters',
  'Query for JVM Environment Details JVM Parameters',
  'IBM',
  '1181215060455000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=JVMPARM@filter3.type=S
@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=EQ
@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.ASI
D@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="T
IMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.
value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVDET_SP.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVDET                                       ...
* *  Workspace View:     Environment Details System Properties        ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Details_System_Properties;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Details System Properties;
* DESC=Query for JVM Environment Details System Properties;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVDET;
* COLUMNS=JOBNAME;
* COLUMNS=ENVTYPE;
* COLUMNS=PROPNAME;
* COLUMNS=PROPVALUE;
* COLUMNS=ORDERNUM;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVDET.ORIGINNODE EQ $NODE$;
* PRED=AND ENVDET.JVMPID EQ $JVMPID$;
* PRED=AND ENVDET.ENVTYPE EQ "SYSPROPS";
* PRED=AND ENVDET.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVDET.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Details_System_Properties';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Details_System_Properties',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Details System Properties',
  'Query for JVM Environment Details System Properties',
  'IBM',
  '1181215060455000',
'at=$THRUNODE$@table1.name=ENVDET@table1.column1.name=JOBNAME@table1.col
umn2.name=ENVTYPE@table1.column3.name=PROPNAME@table1.column4.name=PROPV
ALUE@table1.column5.name=ORDERNUM@table1.column6.name=ASID@table1.column
7.name=JVMPID@table1.column8.name=SMFID@table1.column9.name=COLLID@table
1.column10.name=ORIGINNODE@table1.columnCount=10@tableCount=1@filter1.co
nnector=AND@filter1.column=ENVDET.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ENVDET.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=ENVDET.ENVTYPE@filter3.operator=EQ@filter3.value=SYSPROPS@filter3.type=
S@filter4.connector=AND@filter4.column=ENVDET.JOBNAME@filter4.operator=E
Q@filter4.value=$JOBNAME$@filter5.connector=AND@filter5.column=ENVDET.AS
ID@filter5.operator=EQ@filter5.value=$ASID$@filterCount=5@parma1.value="
TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1
.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ENVIRON.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              ENVIRON                                      ...
* *  Workspace View:     Environment Data                             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Environment_Data;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Environment Data;
* DESC=Query for JVM Environment Data;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ENVIRON;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=VERSION;
* COLUMNS=FULLVER;
* COLUMNS=JAVAHOME;
* COLUMNS=PROCESSORS;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ENVIRON.ORIGINNODE EQ $NODE$;
* PRED=AND ENVIRON.JVMPID EQ $JVMPID$;
* PRED=AND ENVIRON.JOBNAME EQ $JOBNAME$;
* PRED=AND ENVIRON.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Data';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Data',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Environment Data',
  'Query for JVM Environment Data',
  'IBM',
  '1181215060455000',
'at=$THRUNODE$@table1.name=ENVIRON@table1.column1.name=JOBNAME@table1.co
lumn2.name=JVMTYPE@table1.column3.name=VERSION@table1.column4.name=FULLV
ER@table1.column5.name=JAVAHOME@table1.column6.name=PROCESSORS@table1.co
lumn7.name=ASID@table1.column8.name=JVMPID@table1.column9.name=SMFID@tab
le1.column10.name=COLLID@table1.column11.name=ORIGINNODE@table1.columnCo
unt=11@tableCount=1@filter1.connector=AND@filter1.column=ENVIRON.ORIGINN
ODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filte
r2.column=ENVIRON.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@filt
er3.connector=AND@filter3.column=ENVIRON.JOBNAME@filter3.operator=EQ@fil
ter3.value=$JOBNAME$@filter4.connector=AND@filter4.column=ENVIRON.ASID@f
ilter4.operator=EQ@filter4.value=$ASID$@filterCount=4@parma1.value="TIME
OUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.val
ue=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from GCSUMM.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              GCSUMM                                       ...
* *  Workspace View:     Garbage Collection Statistics                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Garbage_Collection;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Garbage Collection Statistics;
* DESC=Query for JVM Garbage Collection Statistics;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.GCSUMM;
* COLUMNS=JOBNAME;
* COLUMNS=GCMODE;
* COLUMNS=MAXHPSZ;
* COLUMNS=MAXUSEHP;
* COLUMNS=MEANHPSZ;
* COLUMNS=MEANUSEHP;
* COLUMNS=MINHPSZ;
* COLUMNS=MINUSEHP;
* COLUMNS=NRSTOTFLP;
* COLUMNS=OCCUPCT;
* COLUMNS=ALOCFAILCT;
* COLUMNS=NUMFNLREFS;
* COLUMNS=GCRATE;
* COLUMNS=GCCOUNT;
* COLUMNS=NUMSYSGC;
* COLUMNS=CONCCOLCT;
* COLUMNS=AVGCOLINT;
* COLUMNS=AVGPAUSETM;
* COLUMNS=MAXPSTM;
* COLUMNS=MINPSTM;
* COLUMNS=PAUSEPPN;
* COLUMNS=UNPSEPPN;
* COLUMNS=GBLGCCT;
* COLUMNS=AVGGBLINT;
* COLUMNS=AVGGBLPSTM;
* COLUMNS=NRSGCCT;
* COLUMNS=NRSAVGINT;
* COLUMNS=NRSAVGPSTM;
* COLUMNS=SYNCHGCCT;
* COLUMNS=PGCCOUNT;
* COLUMNS=PGCAVGINT;
* COLUMNS=PGCAVGPS;
* COLUMNS=GMPCOLLCT;
* COLUMNS=GMPAVGINT;
* COLUMNS=GMPAVGPSTM;
* COLUMNS=GMPCYCLCT;
* COLUMNS=GMPAVGCPC;
* COLUMNS=SAMPPERIOD;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* COLUMNS=QUANTCT;
* COLUMNS=LRGSTREQ;
* PRED=AND GCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND GCSUMM.JVMPID EQ $JVMPID$;
* PRED=AND GCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND GCSUMM.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_GC_Pause_Critical Critical;
* SITNAME=JVM_GC_Pause_Warning Warning;
* SITNAME=JVM_Occupancy_after_GC_Critical Critical;
* SITNAME=JVM_System_GC_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Occupancy_after_GC_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_System_GC_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Garbage_Collection';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Garbage_Collection',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'Garbage Collection Statistics',
  'Query for JVM Garbage Collection Statistics',
  'IBM',
  '1181215060455000',
'at=$THRUNODE$@table1.name=GCSUMM@table1.column1.name=JOBNAME@table1.col
umn2.name=GCMODE@table1.column3.name=MAXHPSZ@table1.column4.name=MAXUSEH
P@table1.column5.name=MEANHPSZ@table1.column6.name=MEANUSEHP@table1.colu
mn7.name=MINHPSZ@table1.column8.name=MINUSEHP@table1.column9.name=NRSTOT
FLP@table1.column10.name=OCCUPCT@table1.column11.name=ALOCFAILCT@table1.
column12.name=NUMFNLREFS@table1.column13.name=GCRATE@table1.column14.nam
e=GCCOUNT@table1.column15.name=NUMSYSGC@table1.column16.name=CONCCOLCT@t
able1.column17.name=AVGCOLINT@table1.column18.name=AVGPAUSETM@table1.col
umn19.name=MAXPSTM@table1.column20.name=MINPSTM@table1.column21.name=PAU
SEPPN@table1.column22.name=UNPSEPPN@table1.column23.name=GBLGCCT@table1.
column24.name=AVGGBLINT@table1.column25.name=AVGGBLPSTM@table1.column26.
name=NRSGCCT@table1.column27.name=NRSAVGINT@table1.column28.name=NRSAVGP
STM@table1.column29.name=SYNCHGCCT@table1.column30.name=PGCCOUNT@table1.
column31.name=PGCAVGINT@table1.column32.name=PGCAVGPS@table1.column33.na
me=GMPCOLLCT@table1.column34.name=GMPAVGINT@table1.column35.name=GMPAVGP
STM@table1.column36.name=GMPCYCLCT@table1.column37.name=GMPAVGCPC@table1
.column38.name=SAMPPERIOD@table1.column39.name=ASID@table1.column40.name
=JVMPID@table1.column41.name=SMFID@table1.column42.name=COLLID@table1.co
lumn43.name=ORIGINNODE@table1.column44.name=QUANTCT@table1.column45.name
=LRGSTREQ@table1.columnCount=45@tableCount=1@filter1.connector=AND@filte
r1.column=GCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@fil
ter2.connector=AND@filter2.column=GCSUMM.JVMPID@filter2.operator=EQ@filt
er2.value=$JVMPID$@filter3.connector=AND@filter3.column=GCSUMM.JOBNAME@f
ilter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4
.column=GCSUMM.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCount
=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name
=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.GCSUMM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.GCSUMM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1181215060455000',
   '_ KCJ',
   'KJJ.JVM_Garbage_Collection',
   'Garbage Collection Statistics'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Garbage_Collection',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Occupancy_after_GC_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_System_GC_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from HEALTH.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              HEALTH                                       ...
* *  Workspace View:     Health Summary                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Health_Summary;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Health Summary;
* DESC=Query for JVM Health Summary;
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.HEALTH;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=LIBERTY;
* COLUMNS=GCRATE;
* COLUMNS=GCPAUSEPPN;
* COLUMNS=GCOCCUPNCY;
* COLUMNS=NUMSYSGC;
* COLUMNS=LKPCTMISS;
* COLUMNS=LKPCTUTIL;
* COLUMNS=LKAVGHLDTM;
* COLUMNS=CPUPCT;
* COLUMNS=CPZIIPELG;
* COLUMNS=THDCT;
* COLUMNS=THDBLK;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
* PRED=AND HEALTH.JVMPID EQ $JVMPID$;
* PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
* PRED=AND HEALTH.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Lock_Missed_Critical Critical;
* SITNAME=JVM_Lock_Missed_Warning Warning;
* SITNAME=JVM_Thread_Blocked_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Thread_Blocked_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Health_Summary';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Health_Summary',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'D',
  'Health Summary',
  'Query for JVM Health Summary',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=HEALTH@table1.column1.name=JOBNAME@table1.col
umn2.name=JVMTYPE@table1.column3.name=LIBERTY@table1.column4.name=GCRATE
@table1.column5.name=GCPAUSEPPN@table1.column6.name=GCOCCUPNCY@table1.co
lumn7.name=NUMSYSGC@table1.column8.name=LKPCTMISS@table1.column9.name=LK
PCTUTIL@table1.column10.name=LKAVGHLDTM@table1.column11.name=CPUPCT@tabl
e1.column12.name=CPZIIPELG@table1.column13.name=THDCT@table1.column14.na
me=THDBLK@table1.column15.name=ASID@table1.column16.name=JVMPID@table1.c
olumn17.name=SMFID@table1.column18.name=COLLID@table1.column19.name=ORIG
INNODE@table1.columnCount=19@tableCount=1@filter1.connector=AND@filter1.
column=HEALTH.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter
2.connector=AND@filter2.column=HEALTH.JVMPID@filter2.operator=EQ@filter2
.value=$JVMPID$@filter3.connector=AND@filter3.column=HEALTH.JOBNAME@filt
er3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4.co
lumn=HEALTH.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCount=4@
parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.HEALTH';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.HEALTH',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        0000000001000000000',
   32,
   259,
   '1181215060456000',
   '_ KCJ',
   'KJJ.JVM_Health_Summary',
   'Health Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Health_Summary',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Critical',
   'Critical',
   'KJJ.JVM_Health_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Thread_Blocked_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from LOCKS.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              LOCKS                                        ...
* *  Workspace View:     Lock Statistics                              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Locks;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Lock Statistics;
* DESC=Query for JVM Lock Statistics;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.LOCKS;
* COLUMNS=JOBNAME;
* COLUMNS=MONNAME;
* COLUMNS=GETCT;
* COLUMNS=SLOWGETS;
* COLUMNS=RECURSIVE;
* COLUMNS=AVGHOLDTM;
* COLUMNS=PCTMISS;
* COLUMNS=PCTUTIL;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND LOCKS.ORIGINNODE EQ $NODE$;
* PRED=AND LOCKS.JVMPID EQ $JVMPID$;
* PRED=AND LOCKS.JOBNAME EQ $JOBNAME$;
* PRED=AND LOCKS.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Locks';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Locks',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Lock Statistics',
  'Query for JVM Lock Statistics',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=LOCKS@table1.column1.name=JOBNAME@table1.colu
mn2.name=MONNAME@table1.column3.name=GETCT@table1.column4.name=SLOWGETS@
table1.column5.name=RECURSIVE@table1.column6.name=AVGHOLDTM@table1.colum
n7.name=PCTMISS@table1.column8.name=PCTUTIL@table1.column9.name=ASID@tab
le1.column10.name=JVMPID@table1.column11.name=SMFID@table1.column12.name
=COLLID@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableCount
=1@filter1.connector=AND@filter1.column=LOCKS.ORIGINNODE@filter1.operato
r=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=LOCKS.JVM
PID@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@fil
ter3.column=LOCKS.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@fi
lter4.connector=AND@filter4.column=LOCKS.ASID@filter4.operator=EQ@filter
4.value=$ASID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount=1
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from OVERVIEW.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              OVERVIEW                                     ...
* *  Workspace View:     JVM Overview                                 ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Overview;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=JVM Overview;
* DESC=Query for JVM Overview;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.OVERVIEW;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=MONITORED;
* COLUMNS=NOTMON;
* COLUMNS=GCRATE;
* COLUMNS=GCRATEPID;
* COLUMNS=PAUSEPPN;
* COLUMNS=PAUSEPID;
* COLUMNS=OCCUPANCY;
* COLUMNS=OCCUPPID;
* COLUMNS=NUMSYSGC;
* COLUMNS=NMSYSGCPID;
* COLUMNS=PCTMISS;
* COLUMNS=PCTMISSPID;
* COLUMNS=PCTUTIL;
* COLUMNS=PCTUTILPID;
* COLUMNS=AVGHOLDTM;
* COLUMNS=AHOLDTMPID;
* COLUMNS=CPUPCT;
* COLUMNS=CPUPCTPID;
* COLUMNS=CPUZPEL;
* COLUMNS=CPUZPELPID;
* COLUMNS=THDCT;
* COLUMNS=THDCTPID;
* COLUMNS=THDBLK;
* COLUMNS=THDBLKPID;
* COLUMNS=SMFIDCOLL;
* COLUMNS=ORIGINNODE;
* PRED=AND OVERVIEW.ORIGINNODE EQ $NODE$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Overview';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Overview',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'JVM Overview',
  'Query for JVM Overview',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=OVERVIEW@table1.column1.name=SMFID@table1.col
umn2.name=COLLID@table1.column3.name=MONITORED@table1.column4.name=NOTMO
N@table1.column5.name=GCRATE@table1.column6.name=GCRATEPID@table1.column
7.name=PAUSEPPN@table1.column8.name=PAUSEPID@table1.column9.name=OCCUPAN
CY@table1.column10.name=OCCUPPID@table1.column11.name=NUMSYSGC@table1.co
lumn12.name=NMSYSGCPID@table1.column13.name=PCTMISS@table1.column14.name
=PCTMISSPID@table1.column15.name=PCTUTIL@table1.column16.name=PCTUTILPID
@table1.column17.name=AVGHOLDTM@table1.column18.name=AHOLDTMPID@table1.c
olumn19.name=CPUPCT@table1.column20.name=CPUPCTPID@table1.column21.name=
CPUZPEL@table1.column22.name=CPUZPELPID@table1.column23.name=THDCT@table
1.column24.name=THDCTPID@table1.column25.name=THDBLK@table1.column26.nam
e=THDBLKPID@table1.column27.name=SMFIDCOLL@table1.column28.name=ORIGINNO
DE@table1.columnCount=28@tableCount=1@filter1.connector=AND@filter1.colu
mn=OVERVIEW.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCo
unt=1@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from THREADS.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-T01-01 IBM OMEGAMON XE on z/OS JVM Monitor Feature      ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      530 (base)                                   ...
* *  Table:              THREADS                                      ...
* *  Workspace View:     Thread Statistics                            ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Threads;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=1;
* NAME=Thread Statistics
* DESC=Query for JVM Thread Statistics;
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.THREADS;
* COLUMNS=JOBNAME;
* COLUMNS=THREADNAME;
* COLUMNS=THREADID;
* COLUMNS=STATE;
* COLUMNS=CONTOBJ;
* COLUMNS=CONTTHD;
* COLUMNS=CONTTHDID;
* COLUMNS=LCKSOWND;
* COLUMNS=NUMMONOWND;
* COLUMNS=STCKTRCE;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND THREADS.ORIGINNODE EQ $NODE$;
* PRED=AND THREADS.JVMPID EQ $JVMPID$;
* PRED=AND THREADS.JOBNAME EQ $JOBNAME$;
* PRED=AND THREADS.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Threads';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Threads',
  'KJJ',
  '%IBM.JVM_Monitor        0000000001000000000',
  'P',
  'Thread Statistics',
  'Query for JVM Thread Statistics',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=THREADS@table1.column1.name=JOBNAME@table1.co
lumn2.name=THREADNAME@table1.column3.name=THREADID@table1.column4.name=S
TATE@table1.column5.name=CONTOBJ@table1.column6.name=CONTTHD@table1.colu
mn7.name=CONTTHDID@table1.column8.name=LCKSOWND@table1.column9.name=NUMM
ONOWND@table1.column10.name=STCKTRCE@table1.column11.name=ASID@table1.co
lumn12.name=JVMPID@table1.column13.name=SMFID@table1.column14.name=COLLI
D@table1.column15.name=ORIGINNODE@table1.columnCount=15@tableCount=1@fil
ter1.connector=AND@filter1.column=THREADS.ORIGINNODE@filter1.operator=EQ
@filter1.value=$NODE$@filter2.connector=AND@filter2.column=THREADS.JVMPI
D@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filte
r3.column=THREADS.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@fi
lter4.connector=AND@filter4.column=THREADS.ASID@filter4.operator=EQ@filt
er4.value=$ASID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount
=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propert
yCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from HEALTH5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  06/22/16 JPY       Added Application Name attribute for V540     ...
* *  08/15/16 JPY       Removing custom history                       ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              HEALTH                                       ...
* *  Workspace View:     Health Summary                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Health_Summary:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Health Summary;
* DESC=Query for JVM Health Summary (V5400);
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.HEALTH;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=APPL;
* COLUMNS=LIBERTY;
* COLUMNS=GCRATE;
* COLUMNS=GCPAUSEPPN;
* COLUMNS=GCOCCUPNCY;
* COLUMNS=NUMSYSGC;
* COLUMNS=LKPCTMISS;
* COLUMNS=LKPCTUTIL;
* COLUMNS=LKAVGHLDTM;
* COLUMNS=CPUPCT;
* COLUMNS=CPZIIPELG;
* COLUMNS=THDCT;
* COLUMNS=THDBLK;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
* PRED=AND HEALTH.JVMPID EQ $JVMPID$;
* PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
* PRED=AND HEALTH.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Lock_Missed_Critical Critical;
* SITNAME=JVM_Lock_Missed_Warning Warning;
* SITNAME=JVM_Thread_Blocked_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Health_Summary:5400';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Thread_Blocked_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5400' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Health_Summary:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Health_Summary:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'D',
  'Health Summary',
  'Query for JVM Health Summary (V5400)',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=HEALTH@table1.column1.name=JOBNAME@table1.col
umn2.name=JVMTYPE@table1.column3.name=APPL@table1.column4.name=LIBERTY@t
able1.column5.name=GCRATE@table1.column6.name=GCPAUSEPPN@table1.column7.
name=GCOCCUPNCY@table1.column8.name=NUMSYSGC@table1.column9.name=LKPCTMI
SS@table1.column10.name=LKPCTUTIL@table1.column11.name=LKAVGHLDTM@table1
.column12.name=CPUPCT@table1.column13.name=CPZIIPELG@table1.column14.nam
e=THDCT@table1.column15.name=THDBLK@table1.column16.name=ASID@table1.col
umn17.name=JVMPID@table1.column18.name=SMFID@table1.column19.name=COLLID
@table1.column20.name=ORIGINNODE@table1.columnCount=20@tableCount=1@filt
er1.connector=AND@filter1.column=HEALTH.ORIGINNODE@filter1.operator=EQ@f
ilter1.value=$NODE$@filter2.connector=AND@filter2.column=HEALTH.JVMPID@f
ilter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.
column=HEALTH.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter
4.connector=AND@filter4.column=HEALTH.ASID@filter4.operator=EQ@filter4.v
alue=$ASID$@filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount=1@re
adonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.HEALTH';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.HEALTH',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        000000000K000000000',
   32,
   259,
   '1181215060456000',
   '_ KCJ',
   'KJJ.JVM_Health_Summary:5400',
   'Health Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5400',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Health_Summary:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Critical',
   'Critical',
   'KJJ.JVM_Health_Summary:5400',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5400',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Thread_Blocked_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5400',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from THREADS5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON XE for JVM                             ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  06/22/16 JPY       Adding CPU attribute for V540                 ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              THREADS                                      ...
* *  Workspace View:     Thread Statistics                            ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Threads:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Thread Statistics
* DESC=Query for JVM Thread Statistics(V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.THREADS;
* COLUMNS=JOBNAME;
* COLUMNS=THREADNAME;
* COLUMNS=THREADID;
* COLUMNS=STATE;
* COLUMNS=CONTOBJ;
* COLUMNS=CONTTHD;
* COLUMNS=CONTTHDID;
* COLUMNS=LCKSOWND;
* COLUMNS=NUMMONOWND;
* COLUMNS=CPUPCT;
* COLUMNS=CPU;
* COLUMNS=STCKTRCE;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND THREADS.ORIGINNODE EQ $NODE$;
* PRED=AND THREADS.JVMPID EQ $JVMPID$;
* PRED=AND THREADS.JOBNAME EQ $JOBNAME$;
* PRED=AND THREADS.ASID EQ $ASID$;
* ORDER=D CPUPCT;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Threads:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Threads:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'Thread Statistics',
  'Query for JVM Thread Statistics(V5400)',
  'IBM',
  '1181215060456000',
'at=$THRUNODE$@table1.name=THREADS@table1.column1.name=JOBNAME@table1.co
lumn2.name=THREADNAME@table1.column3.name=THREADID@table1.column4.name=S
TATE@table1.column5.name=CONTOBJ@table1.column6.name=CONTTHD@table1.colu
mn7.name=CONTTHDID@table1.column8.name=LCKSOWND@table1.column9.name=NUMM
ONOWND@table1.column10.name=CPUPCT@table1.column11.name=CPU@table1.colum
n12.name=STCKTRCE@table1.column13.name=ASID@table1.column14.name=JVMPID@
table1.column15.name=SMFID@table1.column16.name=COLLID@table1.column17.n
ame=ORIGINNODE@table1.columnCount=17@tableCount=1@filter1.connector=AND@
filter1.column=THREADS.ORIGINNODE@filter1.operator=EQ@filter1.value=$NOD
E$@filter2.connector=AND@filter2.column=THREADS.JVMPID@filter2.operator=
EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=THREADS.J
OBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND
@filter4.column=THREADS.ASID@filter4.operator=EQ@filter4.value=$ASID$@fi
lterCount=4@order1.column=CPUPCT@order1.sequence=DESCENDING@orderCount=1
@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-
1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from TXSUMM5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              TXSUMM                                       ...
* *  Workspace View:     z/OS Connect Request Summary                 ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Transaction_Summary:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=z/OS Connect Request Summary;
* DESC=Query for z/OS Connect Request Summary(V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.TXSUMM;
* COLUMNS=SVCNAME;
* COLUMNS=TXCOUNT;
* COLUMNS=AVGTIME;
* COLUMNS=MAXTIME;
* COLUMNS=MINTIME;
* COLUMNS=AVGRESLN;
* COLUMNS=AVGREQLN;
* COLUMNS=HOST;
* COLUMNS=PORT;
* COLUMNS=METHOD;
* COLUMNS=SVCID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND TXSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND TXSUMM.JVMPID EQ $JVMPID$;
* PRED=AND TXSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND TXSUMM.SVCNAME EQ $SVCNAME$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Avg_Elapsed_Time_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Transaction_Summary:5400';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Avg_Elapsed_Time_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Transaction_Summary:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'z/OS Connect Request Summary',
  'Query for z/OS Connect Request Summary(V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=TXSUMM@table1.column1.name=SVCNAME@table1.col
umn2.name=TXCOUNT@table1.column3.name=AVGTIME@table1.column4.name=MAXTIM
E@table1.column5.name=MINTIME@table1.column6.name=AVGRESLN@table1.column
7.name=AVGREQLN@table1.column8.name=HOST@table1.column9.name=PORT@table1
.column10.name=METHOD@table1.column11.name=SVCID@table1.column12.name=JO
BNAME@table1.column13.name=ASID@table1.column14.name=JVMPID@table1.colum
n15.name=SMFID@table1.column16.name=COLLID@table1.column17.name=ORIGINNO
DE@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.colu
mn=TXSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.co
nnector=AND@filter2.column=TXSUMM.JVMPID@filter2.operator=EQ@filter2.val
ue=$JVMPID$@filter3.connector=AND@filter3.column=TXSUMM.JOBNAME@filter3.
operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4.column
=TXSUMM.SVCNAME@filter4.operator=EQ@filter4.value=$SVCNAME$@filterCount=
4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.TXSUMM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.TXSUMM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Avg_Elapsed_Time_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from TXSUMM_SN5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              TXSUMM                                       ...
* *  Workspace View:     z/OS Connect Request Details                 ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Request_For_Service_Name:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=z/OS Connect Request Details;
* DESC=Query for z/OS Connect Request Details (V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.TXSUMM;
* COLUMNS=SVCNAME;
* COLUMNS=TXCOUNT;
* COLUMNS=AVGTIME;
* COLUMNS=MAXTIME;
* COLUMNS=MINTIME;
* COLUMNS=AVGRESLN;
* COLUMNS=AVGREQLN;
* COLUMNS=HOST;
* COLUMNS=PORT;
* COLUMNS=METHOD;
* COLUMNS=SVCID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND TXSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND TXSUMM.JVMPID EQ $JVMPID$;
* PRED=AND TXSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND TXSUMM.SVCNAME EQ $SVCNAME$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Avg_Elapsed_Time_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Request_For_Service_Name:5400';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Avg_Elapsed_Time_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KFW_NODE';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Request_For_Service_Name:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'z/OS Connect Request Details',
  'Query for z/OS Connect Request Details (V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=TXSUMM@table1.column1.name=SVCNAME@table1.col
umn2.name=TXCOUNT@table1.column3.name=AVGTIME@table1.column4.name=MAXTIM
E@table1.column5.name=MINTIME@table1.column6.name=AVGRESLN@table1.column
7.name=AVGREQLN@table1.column8.name=HOST@table1.column9.name=PORT@table1
.column10.name=METHOD@table1.column11.name=SVCID@table1.column12.name=JO
BNAME@table1.column13.name=ASID@table1.column14.name=JVMPID@table1.colum
n15.name=SMFID@table1.column16.name=COLLID@table1.column17.name=ORIGINNO
DE@table1.columnCount=17@tableCount=1@filter1.connector=AND@filter1.colu
mn=TXSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.co
nnector=AND@filter2.column=TXSUMM.JVMPID@filter2.operator=EQ@filter2.val
ue=$JVMPID$@filter3.connector=AND@filter3.column=TXSUMM.JOBNAME@filter3.
operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4.column
=TXSUMM.SVCNAME@filter4.operator=EQ@filter4.value=$SVCNAME$@filterCount=
4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.TXSUMM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.TXSUMM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Avg_Elapsed_Time_Warning',
   'Warning',
   'KFW_NODE',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from TXDETL5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              TXDETL                                       ...
* *  Workspace View:     z/OS Connect Slowest Requests                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Transaction_Detail:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=z/OS Connect Slowest Requests;
* DESC=Query for z/OS Connect Slowest Requests(V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.TXDETL;
* COLUMNS=ETIME;
* COLUMNS=RQSTID;
* COLUMNS=METHOD;
* COLUMNS=RESPTIME;
* COLUMNS=RSPJSLN;
* COLUMNS=REQJSLN;
* COLUMNS=RMTADDR;
* COLUMNS=QRYSTR;
* COLUMNS=JOBNAME;
* COLUMNS=PORT;
* COLUMNS=SVCNAME;
* COLUMNS=SVCID;
* COLUMNS=HOST;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND TXDETL.ORIGINNODE EQ $NODE$;
* PRED=AND TXDETL.JVMPID EQ $JVMPID$;
* PRED=AND TXDETL.JOBNAME EQ $JOBNAME$;
* PRED=AND TXDETL.SVCID EQ $SVCID$;
* PRED=AND TXDETL.SVCNAME EQ $SVCNAME$;
* ORDER=D RESPTIME;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Transaction_Detail:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Transaction_Detail:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'z/OS Connect Slowest Requests',
  'Query for z/OS Connect Slowest Requests(V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=TXDETL@table1.column1.name=ETIME@table1.colum
n2.name=RQSTID@table1.column3.name=METHOD@table1.column4.name=RESPTIME@t
able1.column5.name=RSPJSLN@table1.column6.name=REQJSLN@table1.column7.na
me=RMTADDR@table1.column8.name=QRYSTR@table1.column9.name=JOBNAME@table1
.column10.name=PORT@table1.column11.name=SVCNAME@table1.column12.name=SV
CID@table1.column13.name=HOST@table1.column14.name=ASID@table1.column15.
name=JVMPID@table1.column16.name=SMFID@table1.column17.name=COLLID@table
1.column18.name=ORIGINNODE@table1.columnCount=18@tableCount=1@filter1.co
nnector=AND@filter1.column=TXDETL.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=TXDETL.JVMPID@filter2
.operator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column
=TXDETL.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.conn
ector=AND@filter4.column=TXDETL.SVCID@filter4.operator=EQ@filter4.value=
$SVCID$@filter5.connector=AND@filter5.column=TXDETL.SVCNAME@filter5.oper
ator=EQ@filter5.value=$SVCNAME$@filterCount=5@order1.column=RESPTIME@ord
er1.sequence=DESCENDING@orderCount=1@parma1.value="TIMEOUT","600",3@parm
aCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@p
ropertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ADDRMEM5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              ADDRMEM                                      ...
* *  Workspace View:     Address Space Memory Summary                 ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Address_Space_Memory:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Address Space Memory;
* DESC=Query for Address Space Memory(V5400);
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.ADDRMEM;
* COLUMNS=JOBNAME;
* COLUMNS=HEAPSIZE;
* COLUMNS=HEAPALLOC;
* COLUMNS=HEAPFREE;
* COLUMNS=LDASIZE;
* COLUMNS=LDAALLOC;
* COLUMNS=LDARSRVD;
* COLUMNS=LDAFREPCT;
* COLUMNS=LDAALCPCT;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ADDRMEM.ORIGINNODE EQ $NODE$;
* PRED=AND ADDRMEM.JVMPID EQ $JVMPID$;
* PRED=AND ADDRMEM.JOBNAME EQ $JOBNAME$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Address_Space_Memory:5400';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Address_Space_Memory:5400' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Address_Space_Memory:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Address_Space_Memory:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'D',
  'Address Space Memory',
  'Query for Address Space Memory(V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=ADDRMEM@table1.column1.name=JOBNAME@table1.co
lumn2.name=HEAPSIZE@table1.column3.name=HEAPALLOC@table1.column4.name=HE
APFREE@table1.column5.name=LDASIZE@table1.column6.name=LDAALLOC@table1.c
olumn7.name=LDARSRVD@table1.column8.name=LDAFREPCT@table1.column9.name=L
DAALCPCT@table1.column10.name=JVMPID@table1.column11.name=SMFID@table1.c
olumn12.name=COLLID@table1.column13.name=ORIGINNODE@table1.columnCount=1
3@tableCount=1@filter1.connector=AND@filter1.column=ADDRMEM.ORIGINNODE@f
ilter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.co
lumn=ADDRMEM.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.c
onnector=AND@filter3.column=ADDRMEM.JOBNAME@filter3.operator=EQ@filter3.
value=$JOBNAME$@filterCount=3@parma1.value="TIMEOUT","600",3@parmaCount=
1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@property
Count=1@history=F@');

INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        000000000K000000000',
   32,
   259,
   '1181215060457000',
   '_ KCJ',
   'KJJ.JVM_Address_Space_Memory:5400',
   'Address Space Memory'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Address_Space_Memory:5400',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Address_Space_Memory:5400',
   256
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ADDRMEM_JB5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              ADDRMEM                                      ...
* *  Workspace View:     Address Space Memory For Job Name            ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Address_Space_Memory_For_Job_Name:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Address Space Memory For Job Name;
* DESC=Query for Address Space Memory For Job Name(V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ADDRMEM;
* COLUMNS=JOBNAME;
* COLUMNS=HEAPSIZE;
* COLUMNS=HEAPALLOC;
* COLUMNS=HEAPFREE;
* COLUMNS=LDASIZE;
* COLUMNS=LDAALLOC;
* COLUMNS=LDARSRVD;
* COLUMNS=LDAFREPCT;
* COLUMNS=LDAALCPCT;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND ADDRMEM.ORIGINNODE EQ $NODE$;
* PRED=AND ADDRMEM.JVMPID EQ $JVMPID$;
* PRED=AND ADDRMEM.JOBNAME EQ $JOBNAME$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Address_Space_Memory_For_Job_Name:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Address_Space_Memory_For_Job_Name:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'Address Space Memory For Job Name',
  'Query for Address Space Memory For Job Name(V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=ADDRMEM@table1.column1.name=JOBNAME@table1.co
lumn2.name=HEAPSIZE@table1.column3.name=HEAPALLOC@table1.column4.name=HE
APFREE@table1.column5.name=LDASIZE@table1.column6.name=LDAALLOC@table1.c
olumn7.name=LDARSRVD@table1.column8.name=LDAFREPCT@table1.column9.name=L
DAALCPCT@table1.column10.name=JVMPID@table1.column11.name=SMFID@table1.c
olumn12.name=COLLID@table1.column13.name=ORIGINNODE@table1.columnCount=1
3@tableCount=1@filter1.connector=AND@filter1.column=ADDRMEM.ORIGINNODE@f
ilter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.co
lumn=ADDRMEM.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.c
onnector=AND@filter3.column=ADDRMEM.JOBNAME@filter3.operator=EQ@filter3.
value=$JOBNAME$@filterCount=3@parma1.value="TIMEOUT","600",3@parmaCount=
1@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@property
Count=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.ADDRMEM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.ADDRMEM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from NATMEM5400.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  07/01/16 JPY       Initial Development for KJJ TEP workspaces    ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              NATMEM                                       ...
* *  Workspace View:     Native Memory Statistics                     ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Native_Memory_Statistics:5400;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Native Memory Statistics;
* DESC=Query for Native Memory Statistics(V5400);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.NATMEM;
* COLUMNS=CATNAME;
* COLUMNS=ALLOCDEEP;
* COLUMNS=ALLOCSHAL;
* COLUMNS=BYTEDEEP;
* COLUMNS=BYTESHAL;
* COLUMNS=JVMPID;
* COLUMNS=CATPARENT;
* COLUMNS=LEVEL;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* PRED=AND NATMEM.ORIGINNODE EQ $NODE$;
* PRED=AND NATMEM.JVMPID EQ $JVMPID$;
* PRED=AND NATMEM.JOBNAME EQ $JOBNAME$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Native_Memory_Statistics:5400';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Native_Memory_Statistics:5400',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'P',
  'Native Memory Statistics',
  'Query for Native Memory Statistics(V5400)',
  'IBM',
  '1181215060457000',
'at=$THRUNODE$@table1.name=NATMEM@table1.column1.name=CATNAME@table1.col
umn2.name=ALLOCDEEP@table1.column3.name=ALLOCSHAL@table1.column4.name=BY
TEDEEP@table1.column5.name=BYTESHAL@table1.column6.name=JVMPID@table1.co
lumn7.name=CATPARENT@table1.column8.name=LEVEL@table1.column9.name=JOBNA
ME@table1.column10.name=ASID@table1.column11.name=SMFID@table1.column12.
name=COLLID@table1.column13.name=ORIGINNODE@table1.columnCount=13@tableC
ount=1@filter1.connector=AND@filter1.column=NATMEM.ORIGINNODE@filter1.op
erator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=NATM
EM.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@filter3.connector=A
ND@filter3.column=NATMEM.JOBNAME@filter3.operator=EQ@filter3.value=$JOBN
AME$@filterCount=3@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=
T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@his
tory=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from GCSUMM5403.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on z/OS                        ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016, 2018                           ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  06/10/18 JPY       Remove Historical workspaces                  ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540 FP0003                                   ...
* *  Table:              GCSUMM                                       ...
* *  Workspace View:     Garbage Collection Statistics                ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Garbage_Collection:5403;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=20;
* NAME=Garbage Collection Statistics;
* DESC=Query for JVM Garbage Collection Statistics(V5403);
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.GCSUMM;
* COLUMNS=JOBNAME;
* COLUMNS=GCMODE;
* COLUMNS=MAXHPSZ;
* COLUMNS=MAXUSEHP;
* COLUMNS=MEANHPSZ;
* COLUMNS=MEANUSEHP;
* COLUMNS=MINHPSZ;
* COLUMNS=MINUSEHP;
* COLUMNS=NRSTOTFLP;
* COLUMNS=OCCUPCT;
* COLUMNS=ALOCFAILCT;
* COLUMNS=NUMFNLREFS;
* COLUMNS=GCRATE;
* COLUMNS=GCCOUNT;
* COLUMNS=NUMSYSGC;
* COLUMNS=CONCCOLCT;
* COLUMNS=AVGCOLINT;
* COLUMNS=AVGPAUSETM;
* COLUMNS=MAXPSTM;
* COLUMNS=MINPSTM;
* COLUMNS=PAUSEPPN;
* COLUMNS=UNPSEPPN;
* COLUMNS=GBLGCCT;
* COLUMNS=AVGGBLINT;
* COLUMNS=AVGGBLPSTM;
* COLUMNS=NRSGCCT;
* COLUMNS=NRSAVGINT;
* COLUMNS=NRSAVGPSTM;
* COLUMNS=SYNCHGCCT;
* COLUMNS=PGCCOUNT;
* COLUMNS=PGCAVGINT;
* COLUMNS=PGCAVGPS;
* COLUMNS=GMPCOLLCT;
* COLUMNS=GMPAVGINT;
* COLUMNS=GMPAVGPSTM;
* COLUMNS=GMPCYCLCT;
* COLUMNS=GMPAVGCPC;
* COLUMNS=SAMPPERIOD;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* COLUMNS=QUANTCT;
* COLUMNS=LRGSTREQ;
* PRED=AND GCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND GCSUMM.JVMPID EQ $JVMPID$;
* PRED=AND GCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND GCSUMM.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_GC_Pause_Critical Critical;
* SITNAME=JVM_GC_Pause_Warning Warning;
* SITNAME=JVM_Occupancy_after_GC_Critical Critical;
* SITNAME=JVM_System_GC_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Garbage_Collection:5403';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_GC_Pause_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Occupancy_after_GC_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_System_GC_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Garbage_Collection:5403' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Garbage_Collection:5403';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Garbage_Collection:5403',
  'KJJ',
  '%IBM.JVM_Monitor        000000000K000000000',
  'D',
  'Garbage Collection Statistics',
  'Query for JVM Garbage Collection Statistics(V5403)',
  'IBM',
  '1181215060458000',
'at=$THRUNODE$@table1.name=GCSUMM@table1.column1.name=JOBNAME@table1.col
umn2.name=GCMODE@table1.column3.name=MAXHPSZ@table1.column4.name=MAXUSEH
P@table1.column5.name=MEANHPSZ@table1.column6.name=MEANUSEHP@table1.colu
mn7.name=MINHPSZ@table1.column8.name=MINUSEHP@table1.column9.name=NRSTOT
FLP@table1.column10.name=OCCUPCT@table1.column11.name=ALOCFAILCT@table1.
column12.name=NUMFNLREFS@table1.column13.name=GCRATE@table1.column14.nam
e=GCCOUNT@table1.column15.name=NUMSYSGC@table1.column16.name=CONCCOLCT@t
able1.column17.name=AVGCOLINT@table1.column18.name=AVGPAUSETM@table1.col
umn19.name=MAXPSTM@table1.column20.name=MINPSTM@table1.column21.name=PAU
SEPPN@table1.column22.name=UNPSEPPN@table1.column23.name=GBLGCCT@table1.
column24.name=AVGGBLINT@table1.column25.name=AVGGBLPSTM@table1.column26.
name=NRSGCCT@table1.column27.name=NRSAVGINT@table1.column28.name=NRSAVGP
STM@table1.column29.name=SYNCHGCCT@table1.column30.name=PGCCOUNT@table1.
column31.name=PGCAVGINT@table1.column32.name=PGCAVGPS@table1.column33.na
me=GMPCOLLCT@table1.column34.name=GMPAVGINT@table1.column35.name=GMPAVGP
STM@table1.column36.name=GMPCYCLCT@table1.column37.name=GMPAVGCPC@table1
.column38.name=SAMPPERIOD@table1.column39.name=ASID@table1.column40.name
=JVMPID@table1.column41.name=SMFID@table1.column42.name=COLLID@table1.co
lumn43.name=ORIGINNODE@table1.column44.name=QUANTCT@table1.column45.name
=LRGSTREQ@table1.columnCount=45@tableCount=1@filter1.connector=AND@filte
r1.column=GCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@fil
ter2.connector=AND@filter2.column=GCSUMM.JVMPID@filter2.operator=EQ@filt
er2.value=$JVMPID$@filter3.connector=AND@filter3.column=GCSUMM.JOBNAME@f
ilter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=AND@filter4
.column=GCSUMM.ASID@filter4.operator=EQ@filter4.value=$ASID$@filterCount
=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name
=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.GCSUMM';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.GCSUMM',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        000000000K000000000',
   32,
   259,
   '1181215060458000',
   '_ KCJ',
   'KJJ.JVM_Garbage_Collection:5403',
   'Garbage Collection Statistics'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Garbage_Collection:5403',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Garbage_Collection:5403',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection:5403',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_GC_Pause_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection:5403',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Occupancy_after_GC_Critical',
   'Critical',
   'KJJ.JVM_Garbage_Collection:5403',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_System_GC_Warning',
   'Warning',
   'KJJ.JVM_Garbage_Collection:5403',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from HEALTH5404.hpd
*
* ******************************************************************* ...
* *  Licensed Materials - Property of IBM                             ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  � Copyright IBM Corporation 2016                                 ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  11/20/15 KRM       Initial Development for KJJ TEP workspaces    ...
* *  06/22/16 JPY       Added Application Name attribute for V540     ...
* *  08/15/16 JPY       Removing custom history                       ...
* *  10/11/18 FF        Adding           *
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              HEALTH                                       ...
* *  Workspace View:     Health Summary                               ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_Health_Summary:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=Health Summary;
* DESC=Query for JVM Health Summary (V5404);
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.HEALTH;
* COLUMNS=JOBNAME;
* COLUMNS=JVMTYPE;
* COLUMNS=APPL;
* COLUMNS=LIBERTY;
* COLUMNS=GCRATE;
* COLUMNS=GCPAUSEPPN;
* COLUMNS=GCOCCUPNCY;
* COLUMNS=NUMSYSGC;
* COLUMNS=LKPCTMISS;
* COLUMNS=LKPCTUTIL;
* COLUMNS=LKAVGHLDTM;
* COLUMNS=CPUPCT;
* COLUMNS=CPZIIPELG;
* COLUMNS=THDCT;
* COLUMNS=THDBLK;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=ORIGINNODE;
* COLUMNS=APPLVER;
* PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
* PRED=AND HEALTH.JVMPID EQ $JVMPID$;
* PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
* PRED=AND HEALTH.ASID EQ $ASID$;
* PARMS="TIMEOUT","600",3;
* DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);
* SITNAME=JVM_Lock_Missed_Critical Critical;
* SITNAME=JVM_Lock_Missed_Warning Warning;
* SITNAME=JVM_Thread_Blocked_Warning Warning;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Health_Summary:5404';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Critical' AND 
 STATE = 'Critical' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Lock_Missed_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404';
DELETE FROM KFWTMPLSIT WHERE 
 NAME = 'JVM_Thread_Blocked_Warning' AND 
 STATE = 'Warning' AND 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Fatal';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Minor';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Harmless';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = '*Unknown';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Unavailable';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Fatal';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Minor';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Harmless';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Health_Summary:5404' AND NAME = 'Unknown';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Health_Summary:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Health_Summary:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'D',
  'Health Summary',
  'Query for JVM Health Summary (V5404)',
  'IBM',
  '1181215060458000',
'at=$THRUNODE$@table1.name=HEALTH@table1.column1.name=JOBNAME@table1.col
umn2.name=JVMTYPE@table1.column3.name=APPL@table1.column4.name=LIBERTY@t
able1.column5.name=GCRATE@table1.column6.name=GCPAUSEPPN@table1.column7.
name=GCOCCUPNCY@table1.column8.name=NUMSYSGC@table1.column9.name=LKPCTMI
SS@table1.column10.name=LKPCTUTIL@table1.column11.name=LKAVGHLDTM@table1
.column12.name=CPUPCT@table1.column13.name=CPZIIPELG@table1.column14.nam
e=THDCT@table1.column15.name=THDBLK@table1.column16.name=ASID@table1.col
umn17.name=JVMPID@table1.column18.name=SMFID@table1.column19.name=COLLID
@table1.column20.name=ORIGINNODE@table1.column21.name=APPLVER@table1.col
umnCount=21@tableCount=1@filter1.connector=AND@filter1.column=HEALTH.ORI
GINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@f
ilter2.column=HEALTH.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@f
ilter3.connector=AND@filter3.column=HEALTH.JOBNAME@filter3.operator=EQ@f
ilter3.value=$JOBNAME$@filter4.connector=AND@filter4.column=HEALTH.ASID@
filter4.operator=EQ@filter4.value=$ASID$@filterCount=4@parma1.value="TIM
EOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.va
lue=kfw.TableRow@propertyCount=1@history=F@');


DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.HEALTH';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.HEALTH',
'SYSTEM.PARMA("HISTORY","IRA",3)');


INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor        000000000L000000000',
   32,
   259,
   '1181215060458000',
   '_ KCJ',
   'KJJ.JVM_Health_Summary:5404',
   'Health Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Fatal',
   100,
   259,
   'Fatal State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Minor',
   40,
   259,
   'Minor State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Harmless',
   27,
   259,
   'Harmless State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Health_Summary:5404',
   'Unknown',
   15,
   259,
   'Unknown State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Fatal',
   'Fatal',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Minor',
   'Minor',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Harmless',
   'Harmless',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Unknown',
   'Unknown',
   'KJJ.JVM_Health_Summary:5404',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Critical',
   'Critical',
   'KJJ.JVM_Health_Summary:5404',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Lock_Missed_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5404',
   0
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  'JVM_Thread_Blocked_Warning',
   'Warning',
   'KJJ.JVM_Health_Summary:5404',
   0
);

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_APIN5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for API Name                  ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Detail for API Name;
* DESC=Query for z/OS Connect Request Detail for API Name(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID;
* COLUMNS=SORREF;
* COLUMNS=SORRESRC;
* COLUMNS=REQURI;
* COLUMNS=PORT;
* COLUMNS=USERID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.APINAME EQ $APINAME$;
* PRED=AND ZCDETL.METHOD EQ $METHOD$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","APIN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Detail for API Name',
  'Query for z/OS Connect Request Detail for API Name(V5404)',
  'IBM',
  '1181215060458000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME@table1.column6.name=TOTREQTM@table1.colu
mn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTPCO
DE@table1.column10.name=TIMEOUT@table1.column11.name=SORID@table1.column
12.name=SORREF@table1.column13.name=SORRESRC@table1.column14.name=REQURI
@table1.column15.name=PORT@table1.column16.name=USERID@table1.column17.n
ame=RMTADDR@table1.column18.name=REQJSNLN@table1.column19.name=RSPJSNLN@
table1.column20.name=ASID@table1.column21.name=COLLID@table1.column22.na
me=ETIME@table1.column23.name=JVMPID@table1.column24.name=JOBNAME@table1
.column25.name=QRYSTR@table1.column26.name=REQTYPE@table1.column27.name=
SMFID@table1.column28.name=CORELATR@table1.column29.name=OPERATION@table
1.column30.name=PROVIDER@table1.columnCount=30@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCDETL.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCDETL.JVMPID@filter2.o
perator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=Z
CDETL.APINAME@filter3.operator=EQ@filter3.value=$APINAME$@filter4.connec
tor=AND@filter4.column=ZCDETL.METHOD@filter4.operator=EQ@filter4.value=$
METHOD$@filterCount=4@parma1.value="TIMEOUT","600",3@parma2.value="TYPE"
,"APIN",4@parmaCount=2@readonly=T@property1.name=-1021A@property1.value=
kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRID5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR ID                    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Detail for SoR ID;
* DESC=Query for z/OS Connect Request Detail for SoR ID(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID;
* COLUMNS=SORREF;
* COLUMNS=SORRESRC;
* COLUMNS=REQURI;
* COLUMNS=PORT;
* COLUMNS=USERID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORID EQ $SORID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRID",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Detail for SoR ID',
  'Query for z/OS Connect Request Detail for SoR ID(V5404)',
  'IBM',
  '1181215060458000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME@table1.column6.name=TOTREQTM@table1.colu
mn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTPCO
DE@table1.column10.name=TIMEOUT@table1.column11.name=SORID@table1.column
12.name=SORREF@table1.column13.name=SORRESRC@table1.column14.name=REQURI
@table1.column15.name=PORT@table1.column16.name=USERID@table1.column17.n
ame=RMTADDR@table1.column18.name=REQJSNLN@table1.column19.name=RSPJSNLN@
table1.column20.name=ASID@table1.column21.name=COLLID@table1.column22.na
me=ETIME@table1.column23.name=JVMPID@table1.column24.name=JOBNAME@table1
.column25.name=QRYSTR@table1.column26.name=REQTYPE@table1.column27.name=
SMFID@table1.column28.name=CORELATR@table1.column29.name=OPERATION@table
1.column30.name=PROVIDER@table1.columnCount=30@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCDETL.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCDETL.JVMPID@filter2.o
perator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=Z
CDETL.SORID@filter3.operator=EQ@filter3.value=$SORID$@filterCount=3@parm
a1.value="TIMEOUT","600",3@parma2.value="TYPE","SRID",4@parmaCount=2@rea
donly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount
=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRRF5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR Reference             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Detail for SoR Reference;
* DESC=Query for z/OS Connect Request Detail for SoR Reference(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID;
* COLUMNS=SORREF;
* COLUMNS=SORRESRC;
* COLUMNS=REQURI;
* COLUMNS=PORT;
* COLUMNS=USERID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORREF EQ $SORREF$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRF",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Detail for SoR Reference',
  'Query for z/OS Connect Request Detail for SoR Reference(V5404)',
  'IBM',
  '1181215060458000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME@table1.column6.name=TOTREQTM@table1.colu
mn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTPCO
DE@table1.column10.name=TIMEOUT@table1.column11.name=SORID@table1.column
12.name=SORREF@table1.column13.name=SORRESRC@table1.column14.name=REQURI
@table1.column15.name=PORT@table1.column16.name=USERID@table1.column17.n
ame=RMTADDR@table1.column18.name=REQJSNLN@table1.column19.name=RSPJSNLN@
table1.column20.name=ASID@table1.column21.name=COLLID@table1.column22.na
me=ETIME@table1.column23.name=JVMPID@table1.column24.name=JOBNAME@table1
.column25.name=QRYSTR@table1.column26.name=REQTYPE@table1.column27.name=
SMFID@table1.column28.name=CORELATR@table1.column29.name=OPERATION@table
1.column30.name=PROVIDER@table1.columnCount=30@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCDETL.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCDETL.JVMPID@filter2.o
perator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=Z
CDETL.SORREF@filter3.operator=EQ@filter3.value=$SORREF$@filterCount=3@pa
rma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRF",4@parmaCount=2@r
eadonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCou
nt=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRRS5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      540                                          ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR Resource              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Detail for SoR Resource;
* DESC=Query for z/OS Connect Request Detail for SoR Resource(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID;
* COLUMNS=SORREF;
* COLUMNS=SORRESRC;
* COLUMNS=REQURI;
* COLUMNS=PORT;
* COLUMNS=USERID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORRESRC EQ $SORRESRC$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRS",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Detail for SoR Resource',
  'Query for z/OS Connect Request Detail for SoR Resource(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME@table1.column6.name=TOTREQTM@table1.colu
mn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTPCO
DE@table1.column10.name=TIMEOUT@table1.column11.name=SORID@table1.column
12.name=SORREF@table1.column13.name=SORRESRC@table1.column14.name=REQURI
@table1.column15.name=PORT@table1.column16.name=USERID@table1.column17.n
ame=RMTADDR@table1.column18.name=REQJSNLN@table1.column19.name=RSPJSNLN@
table1.column20.name=ASID@table1.column21.name=COLLID@table1.column22.na
me=ETIME@table1.column23.name=JVMPID@table1.column24.name=JOBNAME@table1
.column25.name=QRYSTR@table1.column26.name=REQTYPE@table1.column27.name=
SMFID@table1.column28.name=CORELATR@table1.column29.name=OPERATION@table
1.column30.name=PROVIDER@table1.columnCount=30@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCDETL.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCDETL.JVMPID@filter2.o
perator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=Z
CDETL.SORRESRC@filter3.operator=EQ@filter3.value=$SORRESRC$@filterCount=
3@parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRS",4@parmaCount
=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propert
yCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SVCN5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for Service Name              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Detail for Service Name;
* DESC=Query for z/OS Connect Request Detail for Service Name(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID;
* COLUMNS=SORREF;
* COLUMNS=SORRESRC;
* COLUMNS=REQURI;
* COLUMNS=PORT;
* COLUMNS=USERID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SVCNAME EQ $SVCNAME$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SVCN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Detail for Service Name',
  'Query for z/OS Connect Request Detail for Service Name(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME@table1.column6.name=TOTREQTM@table1.colu
mn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTPCO
DE@table1.column10.name=TIMEOUT@table1.column11.name=SORID@table1.column
12.name=SORREF@table1.column13.name=SORRESRC@table1.column14.name=REQURI
@table1.column15.name=PORT@table1.column16.name=USERID@table1.column17.n
ame=RMTADDR@table1.column18.name=REQJSNLN@table1.column19.name=RSPJSNLN@
table1.column20.name=ASID@table1.column21.name=COLLID@table1.column22.na
me=ETIME@table1.column23.name=JVMPID@table1.column24.name=JOBNAME@table1
.column25.name=QRYSTR@table1.column26.name=REQTYPE@table1.column27.name=
SMFID@table1.column28.name=CORELATR@table1.column29.name=OPERATION@table
1.column30.name=PROVIDER@table1.columnCount=30@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCDETL.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCDETL.JVMPID@filter2.o
perator=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=Z
CDETL.SVCNAME@filter3.operator=EQ@filter3.value=$SVCNAME$@filterCount=3@
parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SVCN",4@parmaCount=2
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     z/OS Connect Summary - All Requests          ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Extended_Request_Summary:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Extended Request Summary;
* DESC=Query for z/OS Connect Extended Request Summary(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=APINAME;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Extended_Request_Summary:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Extended_Request_Summary:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Extended Request Summary',
  'Query for z/OS Connect Extended Request Summary(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=APINAME@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@table
1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.na
me=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD@
table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.colum
n17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SOR
RSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table1
.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.conne
ctor=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.va
lue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.o
perator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=
ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@p
arma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1.name=-10
21A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_APIN5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary by API Name                  ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_API_Name:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Summary by API Name;
* DESC=Query for z/OS Connect Request Summary by API Name(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=APIMETHOD;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TYPE","APIN",4;
* PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_API_Name:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_API_Name:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Summary by API Name',
  'Query for z/OS Connect Request Summary by API Name(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=APINAME@table1.column8.name=METHOD@table1.column9.name=APIMETHOD@table
1.column10.name=TXCOUNT@table1.column11.name=ERRCOUNT@table1.column12.na
me=TOCOUNT@table1.column13.name=REQRSPMN@table1.column14.name=REQRSPMX@t
able1.column15.name=REQRSPAV@table1.column16.name=REQRSPSD@table1.column
17.name=ZCNRSPMN@table1.column18.name=ZCNRSPMX@table1.column19.name=ZCNR
SPAV@table1.column20.name=ZCNRSPSD@table1.column21.name=SORRSPMN@table1.
column22.name=SORRSPMX@table1.column23.name=SORRSPAV@table1.column24.nam
e=SORRSPSD@table1.columnCount=24@tableCount=1@filter1.connector=AND@filt
er1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@fi
lter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.operator=EQ@fi
lter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=ZCSUMM.JVMPID
@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@parma1.value="
TYPE","APIN",4@parma2.value="TIMEOUT","600",3@parmaCount=2@readonly=T@pr
operty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history
=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRID5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary by SoR ID                    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Summary by SoR ID;
* DESC=Query for z/OS Connect Request Summary by SoR ID(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORID;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRID",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Summary by SoR ID',
  'Query for z/OS Connect Request Summary by SoR ID(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORID@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@table1.
column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.name
=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD@ta
ble1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.column1
7.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SORRS
PMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table1.c
olumn22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.connect
or=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.valu
e=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.ope
rator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=ZC
SUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@par
ma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRID",4@parmaCount=2@re
adonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCoun
t=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRRF5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary By SoR Reference             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Summary by SoR Reference;
* DESC=Query for z/OS Connect Summary by SoR Reference(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORREF;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRF",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Summary by SoR Reference',
  'Query for z/OS Connect Summary by SoR Reference(V5404)',
  'IBM',
  '1181215060459000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORREF@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@table1
.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.nam
e=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD@t
able1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.column
17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SORR
SPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table1.
column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.connec
tor=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.val
ue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.op
erator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=Z
CSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@pa
rma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRF",4@parmaCount=2@r
eadonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCou
nt=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRRS5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary By SoR Resource              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Summary by SoR Resource;
* DESC=Query for z/OS Connect Summary by SoR Resource(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORRESRC;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRS",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Summary by SoR Resource',
  'Query for z/OS Connect Summary by SoR Resource(V5404)',
  'IBM',
  '1181215060500000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORRESRC@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@tabl
e1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.n
ame=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD
@table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.colu
mn17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SO
RRSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table
1.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.
operator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column
=ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@
parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRS",4@parmaCount=2
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SVCN5404.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *                                                                   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5404                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary by Service Name              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5404;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=21;
* NAME=z/OS Connect Request Summary by Service Name;
* DESC=Query for z/OS Connect Summary by Service Name(V5404);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SVCNAME;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SVCN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5404';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5404',
  'KJJ',
  '%IBM.JVM_Monitor        000000000L000000000',
  'P',
  'z/OS Connect Request Summary by Service Name',
  'Query for z/OS Connect Summary by Service Name(V5404)',
  'IBM',
  '1181215060500000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SVCNAME@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@table
1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.na
me=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD@
table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.colum
n17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SOR
RSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table1
.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.conne
ctor=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.va
lue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.o
perator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=
ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@p
arma1.value="TIMEOUT","600",3@parma2.value="TYPE","SVCN",4@parmaCount=2@
readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCo
unt=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_APIN5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018,2019 Rocket Software Inc. All Rights Reserved. ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  07/31/19 NVW       Deprecate USERID. Add USERNAME and MAPPEDID   ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for API Name                  ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Detail for API Name;
* DESC=Query for z/OS Connect Request Detail for API Name(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME64;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID64;
* COLUMNS=SORREF64;
* COLUMNS=SORRESRC64;
* COLUMNS=REQURI256;
* COLUMNS=PORT;
* COLUMNS=USERNAME;
* COLUMNS=MAPPEDID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.APINAME EQ $APINAME$;
* PRED=AND ZCDETL.METHOD EQ $METHOD$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","APIN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_API_Name:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Detail for API Name',
  'Query for z/OS Connect Request Detail for API Name(V5405)',
  'IBM',
  '1190801150939000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME64@table1.column6.name=TOTREQTM@table1.co
lumn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTP
CODE@table1.column10.name=TIMEOUT@table1.column11.name=SORID64@table1.co
lumn12.name=SORREF64@table1.column13.name=SORRESRC64@table1.column14.nam
e=REQURI256@table1.column15.name=PORT@table1.column16.name=USERNAME@tabl
e1.column17.name=MAPPEDID@table1.column18.name=RMTADDR@table1.column19.n
ame=REQJSNLN@table1.column20.name=RSPJSNLN@table1.column21.name=ASID@tab
le1.column22.name=COLLID@table1.column23.name=ETIME@table1.column24.name
=JVMPID@table1.column25.name=JOBNAME@table1.column26.name=QRYSTR@table1.
column27.name=REQTYPE@table1.column28.name=SMFID@table1.column29.name=CO
RELATR@table1.column30.name=OPERATION@table1.column31.name=PROVIDER@tabl
e1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ZCDE
TL.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=ZCDETL.JVMPID@filter2.operator=EQ@filter2.value=$JVM
PID$@filter3.connector=AND@filter3.column=ZCDETL.APINAME@filter3.operato
r=EQ@filter3.value=$APINAME$@filter4.connector=AND@filter4.column=ZCDETL
.METHOD@filter4.operator=EQ@filter4.value=$METHOD$@filterCount=4@parma1.
value="TIMEOUT","600",3@parma2.value="TYPE","APIN",4@parmaCount=2@readon
ly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@
history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRID5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018,2019 Rocket Software Inc. All Rights Reserved. ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  07/31/19 NVW       Add USERNAME and MAPPEDID                     ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR ID                    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Detail for SoR ID;
* DESC=Query for z/OS Connect Request Detail for SoR ID(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME64;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID64;
* COLUMNS=SORREF64;
* COLUMNS=SORRESRC64;
* COLUMNS=REQURI256;
* COLUMNS=PORT;
* COLUMNS=USERNAME;
* COLUMNS=MAPPEDID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORID64 EQ $SORID64$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRID",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_ID:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Detail for SoR ID',
  'Query for z/OS Connect Request Detail for SoR ID(V5405)',
  'IBM',
  '1190801150940000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME64@table1.column6.name=TOTREQTM@table1.co
lumn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTP
CODE@table1.column10.name=TIMEOUT@table1.column11.name=SORID64@table1.co
lumn12.name=SORREF64@table1.column13.name=SORRESRC64@table1.column14.nam
e=REQURI256@table1.column15.name=PORT@table1.column16.name=USERNAME@tabl
e1.column17.name=MAPPEDID@table1.column18.name=RMTADDR@table1.column19.n
ame=REQJSNLN@table1.column20.name=RSPJSNLN@table1.column21.name=ASID@tab
le1.column22.name=COLLID@table1.column23.name=ETIME@table1.column24.name
=JVMPID@table1.column25.name=JOBNAME@table1.column26.name=QRYSTR@table1.
column27.name=REQTYPE@table1.column28.name=SMFID@table1.column29.name=CO
RELATR@table1.column30.name=OPERATION@table1.column31.name=PROVIDER@tabl
e1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ZCDE
TL.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=ZCDETL.JVMPID@filter2.operator=EQ@filter2.value=$JVM
PID$@filter3.connector=AND@filter3.column=ZCDETL.SORID64@filter3.operato
r=EQ@filter3.value=$SORID64$@filterCount=3@parma1.value="TIMEOUT","600",
3@parma2.value="TYPE","SRID",4@parmaCount=2@readonly=T@property1.name=-1
021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRRF5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018,2019 Rocket Software Inc. All Rights Reserved. ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  07/31/19 NVW       Remove USERID, add USERNAME and MAPPEDID      ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR Reference             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Detail for SoR Reference;
* DESC=Query for z/OS Connect Request Detail for SoR Reference(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME64;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID64;
* COLUMNS=SORREF64;
* COLUMNS=SORRESRC64;
* COLUMNS=REQURI256;
* COLUMNS=PORT;
* COLUMNS=USERNAME;
* COLUMNS=MAPPEDID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORREF64 EQ $SORREF64$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRF",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Reference:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Detail for SoR Reference',
  'Query for z/OS Connect Request Detail for SoR Reference(V5405)',
  'IBM',
  '1190801150940000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME64@table1.column6.name=TOTREQTM@table1.co
lumn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTP
CODE@table1.column10.name=TIMEOUT@table1.column11.name=SORID64@table1.co
lumn12.name=SORREF64@table1.column13.name=SORRESRC64@table1.column14.nam
e=REQURI256@table1.column15.name=PORT@table1.column16.name=USERNAME@tabl
e1.column17.name=MAPPEDID@table1.column18.name=RMTADDR@table1.column19.n
ame=REQJSNLN@table1.column20.name=RSPJSNLN@table1.column21.name=ASID@tab
le1.column22.name=COLLID@table1.column23.name=ETIME@table1.column24.name
=JVMPID@table1.column25.name=JOBNAME@table1.column26.name=QRYSTR@table1.
column27.name=REQTYPE@table1.column28.name=SMFID@table1.column29.name=CO
RELATR@table1.column30.name=OPERATION@table1.column31.name=PROVIDER@tabl
e1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ZCDE
TL.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=ZCDETL.JVMPID@filter2.operator=EQ@filter2.value=$JVM
PID$@filter3.connector=AND@filter3.column=ZCDETL.SORREF64@filter3.operat
or=EQ@filter3.value=$SORREF64$@filterCount=3@parma1.value="TIMEOUT","600
",3@parma2.value="TYPE","SRRF",4@parmaCount=2@readonly=T@property1.name=
-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SRRS5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018,2019 Rocket Software Inc. All Rights Reserved. ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  07/31/19 NVW       Remove USERID, add USERNAME and MAPPEDID      ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for SoR Resource              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Detail for SoR Resource;
* DESC=Query for z/OS Connect Request Detail for SoR Resource(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME64;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID64;
* COLUMNS=SORREF64;
* COLUMNS=SORRESRC64;
* COLUMNS=REQURI256;
* COLUMNS=PORT;
* COLUMNS=USERNAME;
* COLUMNS=MAPPEDID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SORRESRC64 EQ $SORRESRC64$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRS",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_SoR_Resource:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Detail for SoR Resource',
  'Query for z/OS Connect Request Detail for SoR Resource(V5405)',
  'IBM',
  '1190801150940000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME64@table1.column6.name=TOTREQTM@table1.co
lumn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTP
CODE@table1.column10.name=TIMEOUT@table1.column11.name=SORID64@table1.co
lumn12.name=SORREF64@table1.column13.name=SORRESRC64@table1.column14.nam
e=REQURI256@table1.column15.name=PORT@table1.column16.name=USERNAME@tabl
e1.column17.name=MAPPEDID@table1.column18.name=RMTADDR@table1.column19.n
ame=REQJSNLN@table1.column20.name=RSPJSNLN@table1.column21.name=ASID@tab
le1.column22.name=COLLID@table1.column23.name=ETIME@table1.column24.name
=JVMPID@table1.column25.name=JOBNAME@table1.column26.name=QRYSTR@table1.
column27.name=REQTYPE@table1.column28.name=SMFID@table1.column29.name=CO
RELATR@table1.column30.name=OPERATION@table1.column31.name=PROVIDER@tabl
e1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ZCDE
TL.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=ZCDETL.JVMPID@filter2.operator=EQ@filter2.value=$JVM
PID$@filter3.connector=AND@filter3.column=ZCDETL.SORRESRC64@filter3.oper
ator=EQ@filter3.value=$SORRESRC64$@filterCount=3@parma1.value="TIMEOUT",
"600",3@parma2.value="TYPE","SRRS",4@parmaCount=2@readonly=T@property1.n
ame=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCDETL_SVCN5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018,2019 Rocket Software Inc. All Rights Reserved. ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  08/01/19 NVW       Remove USERID, Add USERNAME and MAPPEDID      ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCDETL                                       ...
* *  Workspace View:     Request Detail for Service Name              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Detail for Service Name;
* DESC=Query for z/OS Connect Request Detail for Service Name(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=EXTTIME;
* COLUMNS=APINAME;
* COLUMNS=METHOD;
* COLUMNS=SVCNAME64;
* COLUMNS=TOTREQTM;
* COLUMNS=ZOSCTIME;
* COLUMNS=SORTIME;
* COLUMNS=HTTPCODE;
* COLUMNS=TIMEOUT;
* COLUMNS=SORID64;
* COLUMNS=SORREF64;
* COLUMNS=SORRESRC64;
* COLUMNS=REQURI256;
* COLUMNS=PORT;
* COLUMNS=USERNAME;
* COLUMNS=MAPPEDID;
* COLUMNS=RMTADDR;
* COLUMNS=REQJSNLN;
* COLUMNS=RSPJSNLN;
* COLUMNS=ASID;
* COLUMNS=COLLID;
* COLUMNS=ETIME;
* COLUMNS=JVMPID;
* COLUMNS=JOBNAME;
* COLUMNS=QRYSTR;
* COLUMNS=REQTYPE;
* COLUMNS=SMFID;
* COLUMNS=CORELATR;
* COLUMNS=OPERATION;
* COLUMNS=PROVIDER;
* PRED=AND ZCDETL.ORIGINNODE EQ $NODE$;
* PRED=AND ZCDETL.JVMPID EQ $JVMPID$;
* PRED=AND ZCDETL.SVCNAME64 EQ $SVCNAME64$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SVCN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Request_Detail_for_Service_Name:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Detail for Service Name',
  'Query for z/OS Connect Request Detail for Service Name(V5405)',
  'IBM',
  '1190803194213000',
'at=$THRUNODE$@table1.name=ZCDETL@table1.column1.name=ORIGINNODE@table1.
column2.name=EXTTIME@table1.column3.name=APINAME@table1.column4.name=MET
HOD@table1.column5.name=SVCNAME64@table1.column6.name=TOTREQTM@table1.co
lumn7.name=ZOSCTIME@table1.column8.name=SORTIME@table1.column9.name=HTTP
CODE@table1.column10.name=TIMEOUT@table1.column11.name=SORID64@table1.co
lumn12.name=SORREF64@table1.column13.name=SORRESRC64@table1.column14.nam
e=REQURI256@table1.column15.name=PORT@table1.column16.name=USERNAME@tabl
e1.column17.name=MAPPEDID@table1.column18.name=RMTADDR@table1.column19.n
ame=REQJSNLN@table1.column20.name=RSPJSNLN@table1.column21.name=ASID@tab
le1.column22.name=COLLID@table1.column23.name=ETIME@table1.column24.name
=JVMPID@table1.column25.name=JOBNAME@table1.column26.name=QRYSTR@table1.
column27.name=REQTYPE@table1.column28.name=SMFID@table1.column29.name=CO
RELATR@table1.column30.name=OPERATION@table1.column31.name=PROVIDER@tabl
e1.columnCount=31@tableCount=1@filter1.connector=AND@filter1.column=ZCDE
TL.ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector
=AND@filter2.column=ZCDETL.JVMPID@filter2.operator=EQ@filter2.value=$JVM
PID$@filter3.connector=AND@filter3.column=ZCDETL.SVCNAME64@filter3.opera
tor=EQ@filter3.value=$SVCNAME64$@filterCount=3@parma1.value="TIMEOUT","6
00",3@parma2.value="TYPE","SVCN",4@parmaCount=2@readonly=T@property1.nam
e=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRID5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  08/01/19 NVW       FP0005 Longer SORID Column                    ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary by SoR ID                    ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Summary by SoR ID;
* DESC=Query for z/OS Connect Request Summary by SoR ID(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORID64;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRID",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_ID:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Summary by SoR ID',
  'Query for z/OS Connect Request Summary by SoR ID(V5405)',
  'IBM',
  '1190801150939000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORID64@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@table
1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.na
me=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD@
table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.colum
n17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SOR
RSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table1
.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.conne
ctor=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.va
lue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.o
perator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column=
ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@p
arma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRID",4@parmaCount=2@
readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyCo
unt=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRRF5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  08/01/19 NVW       FP0005 Longer Column                          ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary By SoR Reference             ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Summary by SoR Reference;
* DESC=Query for z/OS Connect Summary by SoR Reference(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORREF64;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRF",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Reference:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Summary by SoR Reference',
  'Query for z/OS Connect Summary by SoR Reference(V5405)',
  'IBM',
  '1190801150939000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORREF64@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@tabl
e1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.n
ame=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPSD
@table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.colu
mn17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=SO
RRSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@table
1.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.conn
ector=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.v
alue=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2.
operator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.column
=ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3@
parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRF",4@parmaCount=2
@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propertyC
ount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SRRS5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  08/01/19 NVW       FP0005 Longer Column                          ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary By SoR Resource              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Summary by SoR Resource;
* DESC=Query for z/OS Connect Summary by SoR Resource(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SORRESRC64;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SRRS",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_SoR_Resource:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Summary by SoR Resource',
  'Query for z/OS Connect Summary by SoR Resource(V5405)',
  'IBM',
  '1190815132342000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SORRESRC64@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@ta
ble1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12
.name=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSP
SD@table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.co
lumn17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=
SORRSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@tab
le1.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.co
nnector=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1
.value=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter
2.operator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.colu
mn=ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=
3@parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SRRS",4@parmaCount
=2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@propert
yCount=1@history=F@');

*   File created by Helper Version 12.355
*
*   Data generated for Tivoli Enterprise Portal V180 and above
*
*   Input Data from ZCSUMM_SVCN5405.hpd
*
* ******************************************************************* ...
* *  Product(s):                                                      ...
* *      5698-ABA IBM OMEGAMON for JVM on zOS                         ...
* *                                                                   ...
* *  © Copyright 2018, Rocket Software Inc. All Rights Reserved.     ...
* *                                                                   ...
* *  US Government Users Restricted Rights - Use, duplication or      ...
* *  disclosure restricted by GSA ADP Schedule Contract with          ...
* *  IBM Corp.                                                        ...
* ******************************************************************* ...
* *                                                                   ...
* *  Maintenance Log:                                                 ...
* *                                                                   ...
* *  Date     Who   ID  Description                                   ...
* *  -------- ---- ---  -----------------------------------------     ...
* *  09/25/18 FF        Initial Development for KJJ TEP workspaces fo ...
* *                        zOS Connect                                ...
* *  08/01/19 NVW       FP0005 Longer Column                          ...
* ******************************************************************* ...
* *                                                                   ...
* *  Query Version:      5405                                         ...
* *  Table:              ZCSUMM                                       ...
* *  Workspace View:     Request Summary by Service Name              ...
* *                                                                   ...
* ******************************************************************* ...
* IDENT=KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5405;
* DAFFINITY=%IBM.JVM_Monitor;
* DVERSION=22;
* NAME=z/OS Connect Request Summary by Service Name;
* DESC=Query for z/OS Connect Summary by Service Name(V5405);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZCSUMM;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;
* COLUMNS=COLLID;
* COLUMNS=JOBNAME;
* COLUMNS=ASID;
* COLUMNS=JVMPID;
* COLUMNS=SVCNAME64;
* COLUMNS=TXCOUNT;
* COLUMNS=ERRCOUNT;
* COLUMNS=TOCOUNT;
* COLUMNS=REQRSPMN;
* COLUMNS=REQRSPMX;
* COLUMNS=REQRSPAV;
* COLUMNS=REQRSPSD;
* COLUMNS=ZCNRSPMN;
* COLUMNS=ZCNRSPMX;
* COLUMNS=ZCNRSPAV;
* COLUMNS=ZCNRSPSD;
* COLUMNS=SORRSPMN;
* COLUMNS=SORRSPMX;
* COLUMNS=SORRSPAV;
* COLUMNS=SORRSPSD;
* PRED=AND ZCSUMM.ORIGINNODE EQ $NODE$;
* PRED=AND ZCSUMM.JOBNAME EQ $JOBNAME$;
* PRED=AND ZCSUMM.JVMPID EQ $JVMPID$;
* PARMS="TIMEOUT","600",3;
* PARMS="TYPE","SVCN",4;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5405';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_zOS_Connect_Req_Summary_by_Service_Name:5405',
  'KJJ',
  '%IBM.JVM_Monitor        000000000M000000000',
  'P',
  'z/OS Connect Request Summary by Service Name',
  'Query for z/OS Connect Summary by Service Name(V5405)',
  'IBM',
  '1190801150939000',
'at=$THRUNODE$@table1.name=ZCSUMM@table1.column1.name=ORIGINNODE@table1.
column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=JOBNAM
E@table1.column5.name=ASID@table1.column6.name=JVMPID@table1.column7.nam
e=SVCNAME64@table1.column8.name=TXCOUNT@table1.column9.name=ERRCOUNT@tab
le1.column10.name=TOCOUNT@table1.column11.name=REQRSPMN@table1.column12.
name=REQRSPMX@table1.column13.name=REQRSPAV@table1.column14.name=REQRSPS
D@table1.column15.name=ZCNRSPMN@table1.column16.name=ZCNRSPMX@table1.col
umn17.name=ZCNRSPAV@table1.column18.name=ZCNRSPSD@table1.column19.name=S
ORRSPMN@table1.column20.name=SORRSPMX@table1.column21.name=SORRSPAV@tabl
e1.column22.name=SORRSPSD@table1.columnCount=22@tableCount=1@filter1.con
nector=AND@filter1.column=ZCSUMM.ORIGINNODE@filter1.operator=EQ@filter1.
value=$NODE$@filter2.connector=AND@filter2.column=ZCSUMM.JOBNAME@filter2
.operator=EQ@filter2.value=$JOBNAME$@filter3.connector=AND@filter3.colum
n=ZCSUMM.JVMPID@filter3.operator=EQ@filter3.value=$JVMPID$@filterCount=3
@parma1.value="TIMEOUT","600",3@parma2.value="TYPE","SVCN",4@parmaCount=
2@readonly=T@property1.name=-1021A@property1.value=kfw.TableRow@property
Count=1@history=F@');


* * *  Maintenance Log:                                               ...
* * *                                                                 ...
* * *  Date     Who   ID  Description                                 ...
* * *  -------- ---- ---  -----------------------------------------   ...
* * *  10/14/19 SMW       Initial Development for KJJ TEP workspaces  ...
* * *                                                                 ...
* * ***************************************************************** ...
* * *                                                                 ...
* * *  Query Version:      550                                        ...
* * *  Table:              ZOSMEM                                     ...
* * *  Workspace View:     JVM virtual memory                         ...
* * *                                                                 ...
* * ***************************************************************** ...
* IDENT=KJJ.JVM_Virtual_Memory:5500;
* AFFINITY=%IBM.JVM_Monitor;
* DVERSION=60;
* NAME=JVM_Virtual_Memory;
* DESC=Query for JVM_Virtual_Memory(V5500);
* USER=IBM;
* VISIBLE=N;
* READONLY=T;
* TABLE=KJJ.ZOSMEM;
* COLUMNS=ASID;     
* COLUMNS=COLLID;   
* COLUMNS=HEAPALLOC;
* COLUMNS=HEAPFREE; 
* COLUMNS=HEAPSIZE; 
* COLUMNS=JOBNAME;  
* COLUMNS=JVMPID;   
* COLUMNS=MEMLIMIT; 
* COLUMNS=MEM24AUTH;
* COLUMNS=MEM24FPCT;
* COLUMNS=MEM24FREE;
* COLUMNS=MEM24SIZE;
* COLUMNS=MEM24UPCT;
* COLUMNS=MEM24USER;
* COLUMNS=MEM31AUTH;
* COLUMNS=MEM31FPCT;
* COLUMNS=MEM31FREE;
* COLUMNS=MEM31SIZE;
* COLUMNS=MEM31UPCT;
* COLUMNS=MEM31USER;
* COLUMNS=MEM64FPCT;             
* COLUMNS=MEM64FREE;             
* COLUMNS=MEM64UPCT;             
* COLUMNS=MEM64USED;             
* COLUMNS=ORIGINNODE;            
* COLUMNS=SMFID;                 
* PRED=ORIGINNODE EQ $NODE$;     
* PRED=AND JVMPID EQ $JVMPID$;   
* PRED=AND JOBNAME EQ $JOBNAME$; 
* PARMS="TIMEOUT","600",3;       


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Virtual_Memory:5500';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Virtual_Memory:5500',
  'KJJ',
  '%IBM.JVM_Monitor        000000000y000000000',
  'P',
  'JVM_Virtual_Memory',
  'Query for JVM_Virtual_Memory(V5500)',
  'IBM',
  '1191014172755000',
'at=$THRUNODE$@table1.name=ZOSMEM@table1.column1.name=ASID@table1.column
2.name=COLLID@table1.column3.name=HEAPALLOC@table1.column4.name=HEAPFREE
@table1.column5.name=HEAPSIZE@table1.column6.name=JOBNAME@table1.column7
.name=JVMPID@table1.column8.name=MEMLIMIT@table1.column9.name=MEM24AUTH@
table1.column10.name=MEM24FPCT@table1.column11.name=MEM24FREE@table1.col
umn12.name=MEM24SIZE@table1.column13.name=MEM24UPCT@table1.column14.name
=MEM24USER@table1.column15.name=MEM31AUTH@table1.column16.name=MEM31FPCT
@table1.column17.name=MEM31FREE@table1.column18.name=MEM31SIZE@table1.co
lumn19.name=MEM31UPCT@table1.column20.name=MEM31USER@table1.column21.nam
e=MEM64FPCT@table1.column22.name=MEM64FREE@table1.column23.name=MEM64UPC
T@table1.column24.name=MEM64USED@table1.column25.name=ORIGINNODE@table1.
column26.name=SMFID@table1.columnCount=26@tableCount=1@filter1.connector
=AND@filter1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@
filter2.connector=AND@filter2.column=JVMPID@filter2.operator=EQ@filter2.
value=$JVMPID$@filter3.connector=AND@filter3.column=JOBNAME@filter3.oper
ator=EQ@filter3.value=$JOBNAME$@filterCount=3@parma1.value="TIMEOUT","60
0",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.T
ableRow@propertyCount=1@history=F@');


* * *  Maintenance Log:                                               ...
* * *                                                                 ...
* * *  Date     Who   ID  Description                                 ...
* * *  -------- ---- ---  -----------------------------------------   ...
* * *  10/15/19 SMW       Initial Development for KJJ TEP workspaces  ...
* * *                                                                 ...
* * ***************************************************************** ...
* * *                                                                 ...
* * *  Query Version:      550                                        ...
* * *  Table:              JVMSUMM                                    ...
* * *  Workspace View:     JVM Summary                                ...
* * *                                                                 ...
* * ***************************************************************** ...
* IDENT=KJJ.JVM_Summary:5500;
* AFFINITY=%IBM.JVM_Monitor        000000000y000000000;
* NAME=Completed Job History;
* DESC=Query for Completed Job History(V5500);
* USER=IBM;
* VISIBLE=Y;
* READONLY=T;
* TABLE=KJJ.JVMSUMM;
* COLUMNS=JOBNAME,           
* COLUMNS=COLLID,            
* COLUMNS=ASID,              
* COLUMNS=SMFID,             
* COLUMNS=JVMPID,            
* COLUMNS=JVMTYPE,           
* COLUMNS=APPL,              
* COLUMNS=MAXGCRATE,         
* COLUMNS=MAXGCPAUSE         
* COLUMNS=MAXHPOCC,          
* COLUMNS=MAXLKMISS,         
* COLUMNS=MAXLKUTIL,         
* COLUMNS=MAXLKHLD,          
* COLUMNS=MAXGCPU,           
* COLUMNS=MAXZIIPELG         
* COLUMNS=MAXTHDCT,          
* COLUMNS=MAXTHDBLK,         
* COLUMNS=SAMPLECT,          
* COLUMNS=STARTTIME;         
* PRED=ORIGINNODE EQ $NODE$; 
* ORDER=A JOBNAME;          
* ORDER=D STARTTIME;    
* PARMS="TIMEOUT","600",3;  


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Summary:5500';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = '*Critical';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = '*Warning';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = '*Informational';
DELETE FROM KFWTMPLSIT WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = '*STATUS_UNKNOWN';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = 'OK';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = 'Critical';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = 'Warning';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = 'Informational';
DELETE FROM KFWTMPLSTA WHERE 
 TEMPLATE = 'KJJ.JVM_Summary:5500' AND NAME = 'Unavailable';
DELETE FROM KFWTMPL WHERE NAME     =
 'KJJ.JVM_Summary:5500';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Summary:5500',
  'KJJ',
  '%IBM.JVM_Monitor        000000000y000000000',
  'D',
  'Completed Job History',
  'Query for Completed Job History(V5500)',
  'IBM',
  '1191015101137000',
'at=$THRUNODE$@table1.name=JVMSUMM@table1.column1.name=JOBNAME@table1.co
lumn2.name=COLLID@table1.column3.name=ASID@table1.column4.name=SMFID@tab
le1.column5.name=JVMPID@table1.column6.name=JVMTYPE@table1.column7.name=
APPL@table1.column8.name=MAXGCRATE@table1.column9.name=MAXGCPAUSE@table1
.column10.name=MAXHPOCC@table1.column11.name=MAXLKMISS@table1.column12.n
ame=MAXLKUTIL@table1.column13.name=MAXLKHLD@table1.column14.name=MAXGCPU
@table1.column15.name=MAXZIIPELG@table1.column16.name=MAXTHDCT@table1.co
lumn17.name=MAXTHDBLK@table1.column18.name=SAMPLECT@table1.column19.name
=STARTTIME@table1.columnCount=19@tableCount=1@filter1.connector=AND@filt
er1.column=ORIGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filterCou
nt=1@order1.column=JOBNAME@order1.sequence=ASCENDING@order2.column=START
TIME@order2.sequence=DESCENDING@orderCount=2@parma1.value="TIMEOUT","600
",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.value=kfw.Ta
bleRow@propertyCount=1@history=F@');
INSERT INTO KFWTMPL
(  AFFINITIES ,
   AREA ,
   ATTRIBS ,
   LSTDATE ,
   LSTUSRPRF ,
   NAME ,
   TEXT
)
VALUES
(  '%IBM.JVM_Monitor',
   32,
   259,
   '1191015101137000',
   '_ KCJ',
   'KJJ.JVM_Summary:5500',
   'JVM_Summary'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Summary:5500',
   'OK',
   -1,
   65795,
   'Normal and Available State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Summary:5500',
   'Critical',
   90,
   259,
   'Critical State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Summary:5500',
   'Warning',
   30,
   259,
   'Warning State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Summary:5500',
   'Informational',
   25,
   259,
   'Informational State'
);

INSERT INTO KFWTMPLSTA
(  TEMPLATE ,
   NAME ,
   SEVERITY ,
   ATTRIBS ,
   TEXT
)
VALUES
(  'KJJ.JVM_Summary:5500',
   'Unavailable',
   95,
   259,
   'Unavailable State'
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Critical',
   'Critical',
   'KJJ.JVM_Summary:5500',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Warning',
   'Warning',
   'KJJ.JVM_Summary:5500',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*Informational',
   'Informational',
   'KJJ.JVM_Summary:5500',
   256
);

INSERT INTO KFWTMPLSIT
(  NAME ,
   STATE ,
   TEMPLATE ,
   TYPE
)
VALUES
(  '*STATUS_UNKNOWN',
   'Unavailable',
   'KJJ.JVM_Summary:5500',
   256
);


*  *  Maintenance Log:                                                ...
*  *                                                                  ...
*  *  Date     Who   ID  Description                                  ...
*  *  -------- ---- ---  -----------------------------------------    ...
*  *  10/15/19 SMW       Initial Development for KJJ TEP workspaces   ...
*  *                     Added MEM24FREE,MEM24FPCT,MEM31FREE,         ...
*  *                     MEM31FPCT,MEM64FREE,MEM64FPCT columns        ...
*  ****************************************************************** ...
*  *                                                                  ...
*  *  Query Version:      550                                         ...
*  *  Table:              HEALTH                                      ...
*  *  Workspace View:     JVM HEALTH                                  ...
*  *                                                                  ...
*  ****************************************************************** ...
*  IDENT=KJJ.JVM_Health_Summary:5500;
*  AFFINITY=%IBM.JVM_Monitor;
*  NAME=Health Summary (V5500);
*  DESC=Query for JVM Health Summary (V5500);
*  USER=IBM;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KJJ.HEALTH;
*  COLUMNS=JOBNAME;
*  COLUMNS=JVMTYPE;
*  COLUMNS=APPL;
*  COLUMNS=LIBERTY;
*  COLUMNS=GCRATE;
*  COLUMNS=GCPAUSEPPN;
*  COLUMNS=GCOCCUPNCY;
*  COLUMNS=NUMSYSGC;
*  COLUMNS=LKPCTMISS;
*  COLUMNS=LKPCTUTIL;
*  COLUMNS=LKAVGHLDTM;
*  COLUMNS=CPUPCT;
*  COLUMNS=CPZIIPELG;
*  COLUMNS=THDCT;
*  COLUMNS=THDBLK;
*  COLUMNS=ASID;
*  COLUMNS=JVMPID;
*  COLUMNS=SMFID;
*  COLUMNS=COLLID;
*  COLUMNS=ORIGINNODE;
*  COLUMNS=APPLVER;
*  COLUMNS=STARTTIME;
*  COLUMNS=MEM64FPCT;
*  COLUMNS=MEM64FREE;
*  COLUMNS=MEM24FREE;
*  COLUMNS=MEM24FPCT;
*  COLUMNS=MEM31FREE;
*  COLUMNS=MEM31FPCT;
*  PRED=AND HEALTH.ORIGINNODE EQ $NODE$;
*  PRED=AND HEALTH.JVMPID EQ $JVMPID$;
*  PRED=AND HEALTH.JOBNAME EQ $JOBNAME$;
*  PRED=AND HEALTH.ASID EQ $ASID$;
*  PARMS="TIMEOUT","600",3;
*  DEFPARM=SYSTEM.PARMA("HISTORY","IRA",3);

DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Health_Summary:5500';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Health_Summary:5500',
  'KJJ',
  '%IBM.JVM_Monitor        000000000y000000000',
  'P',
  'Health Summary (V5500)',
  'Query for JVM Health Summary (V5500)',
  'IBM',
  '1191015143054000',
'at=$THRUNODE$@table1.name=HEALTH@table1.column1.name=JOBNAME@table1.col
umn2.name=JVMTYPE@table1.column3.name=APPL@table1.column4.name=LIBERTY@t
able1.column5.name=GCRATE@table1.column6.name=GCPAUSEPPN@table1.column7.
name=GCOCCUPNCY@table1.column8.name=NUMSYSGC@table1.column9.name=LKPCTMI
SS@table1.column10.name=LKPCTUTIL@table1.column11.name=LKAVGHLDTM@table1
.column12.name=CPUPCT@table1.column13.name=CPZIIPELG@table1.column14.nam
e=THDCT@table1.column15.name=THDBLK@table1.column16.name=ASID@table1.col
umn17.name=JVMPID@table1.column18.name=SMFID@table1.column19.name=COLLID
@table1.column20.name=ORIGINNODE@table1.column21.name=APPLVER@table1.col
umn22.name=STARTTIME@table1.column23.name=MEM64FPCT@table1.column24.name
=MEM64FREE@table1.column25.name=MEM24FREE@table1.column26.name=MEM24FPCT
@table1.column27.name=MEM31FREE@table1.column28.name=MEM31FPCT@table1.co
lumnCount=28@tableCount=1@filter1.connector=AND@filter1.column=HEALTH.OR
IGINNODE@filter1.operator=EQ@filter1.value=$NODE$@filter2.connector=AND@
filter2.column=HEALTH.JVMPID@filter2.operator=EQ@filter2.value=$JVMPID$@
filter3.connector=AND@filter3.column=HEALTH.JOBNAME@filter3.operator=EQ@
filter3.value=$JOBNAME$@filter4.connector=AND@filter4.column=HEALTH.ASID
@filter4.operator=EQ@filter4.value=$ASID$@filterCount=4@parma1.value="TI
MEOUT","600",3@parmaCount=1@readonly=T@property1.name=-1021A@property1.v
alue=kfw.TableRow@propertyCount=1@history=F@');

DELETE FROM KFWPARMA WHERE TABLENAME = 'KJJ.HEALTH';

INSERT INTO KFWPARMA ( TABLENAME, PARMA) VALUES ('KJJ.HEALTH',
'SYSTEM.PARMA("HISTORY","IRA",3)');


*
*  *  Maintenance Log:                                                ...
*  *                                                                  ...
*  *  Date     Who   ID  Description                                  ...
*  *  -------- ---- ---  -----------------------------------------    ...
*  *  10/18/19 SMW       Initial Development for KJJ TEP workspaces   ...
*  ****************************************************************** ...
*  *                                                                  ...
*  *  Query Version:      550                                         ...
*  *  Table:              JVMDETL                                     ...
*  *  Workspace View:     JVM JVMDETL                                 ...
*  *                                                                  ...
*  ****************************************************************** ...
*  IDENT=KJJ.JVM_Completed_Detail:5500;
*  AFFINITY=%IBM.JVM_Monitor;
*  NAME=JVM Completed Detail (V5500);
*  DESC=Query for JVM Completed Detail (V5500);
*  USER=IBM;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KJJ.JVMDETL;
* COLUMNS=ORIGINNODE;
* COLUMNS=SMFID;     
* COLUMNS=COLLID;    
* COLUMNS=RECTIME;   
* COLUMNS=JOBNAME;   
* COLUMNS=ASID;      
* COLUMNS=LIBERTY;   
* COLUMNS=JVMPID;    
* COLUMNS=JVMTYPE;   
* COLUMNS=GCRATE;    
* COLUMNS=GCPAUSEPPN;
* COLUMNS=GCOCCUPNCY;
* COLUMNS=NUMSYSGC;  
* COLUMNS=LKPCTMISS; 
* COLUMNS=LKPCTUTIL; 
* COLUMNS=LKAVGHLDTM;
* COLUMNS=CPUPCT;    
* COLUMNS=CPZIIPELG; 
* COLUMNS=THDCT;      
* COLUMNS=THDBLK;    
* COLUMNS=APPL;      
* COLUMNS=CICSJVMNM; 
* COLUMNS=APPLVER;   
* COLUMNS=STARTTIME; 
* COLUMNS=MEM64FPCT; 
* COLUMNS=MEM64FREE; 
* COLUMNS=MEM24FREE; 
* COLUMNS=MEM24FPCT; 
* COLUMNS=MEM31FREE; 
* COLUMNS=MEM31FPCT; 
*  PRED=AND ORIGINNODE EQ $NODE$;
*  PRED=AND JVMPID EQ $JJVMPID$;
*  PRED=AND JOBNAME EQ $JJOBNAME$;
*  PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Completed_Detail:5500';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Completed_Detail:5500',
  'KJJ',
  '%IBM.JVM_Monitor        000000000y000000000',
  'P',
  'JVM Completed Detail (V5500)',
  'Query for JVM Completed Detail (V5500)',
  'IBM',
  '1191018213928000',
'at=$THRUNODE$@table1.name=JVMDETL@table1.column1.name=ORIGINNODE@table1
.column2.name=SMFID@table1.column3.name=COLLID@table1.column4.name=RECTI
ME@table1.column5.name=JOBNAME@table1.column6.name=ASID@table1.column7.n
ame=LIBERTY@table1.column8.name=JVMPID@table1.column9.name=JVMTYPE@table
1.column10.name=GCRATE@table1.column11.name=GCPAUSEPPN@table1.column12.n
ame=GCOCCUPNCY@table1.column13.name=NUMSYSGC@table1.column14.name=LKPCTM
ISS@table1.column15.name=LKPCTUTIL@table1.column16.name=LKAVGHLDTM@table
1.column17.name=CPUPCT@table1.column18.name=CPZIIPELG@table1.column19.na
me=THDCT@table1.column20.name=THDBLK@table1.column21.name=APPL@table1.co
lumn22.name=CICSJVMNM@table1.column23.name=APPLVER@table1.column24.name=
STARTTIME@table1.column25.name=MEM64FPCT@table1.column26.name=MEM64FREE@
table1.column27.name=MEM24FREE@table1.column28.name=MEM24FPCT@table1.col
umn29.name=MEM31FREE@table1.column30.name=MEM31FPCT@table1.columnCount=3
0@tableCount=1@filter1.connector=AND@filter1.column=ORIGINNODE@filter1.o
perator=EQ@filter1.value=$NODE$@filter2.connector=AND@filter2.column=JVM
PID@filter2.operator=EQ@filter2.value=$JJVMPID$@filter3.connector=AND@fi
lter3.column=JOBNAME@filter3.operator=EQ@filter3.value=$JJOBNAME$@filter
Count=3@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@property1
.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=F@');

*  ****************************************************************** ...
*  *                                                                  ...
*  *  Maintenance Log:                                                ...
*  *                                                                  ...
*  *  Date     Who   ID  Description                                  ...
*  *  -------- ---- ---  -----------------------------------------    ...
*  *  11/20/15 KRM       Initial Development for KJJ TEP workspaces   ...
*  *  10/29/19 SMW       Use JVMVERSION v550                          ...
*  *                                                                  ...
*  ****************************************************************** ...
*  *                                                                  ...
*  *  Query Version:      530 (base)                                  ...
*  *  Table:              ENVIRON                                     ...
*  *  Workspace View:     Environment Data                            ...
*  *  %IBM.JVM_Monitor        000000000y000000000                     ...
*  *                                                                  ...
*  ****************************************************************** ...
*  IDENT=KJJ.JVM_Environment_Data:5500;
*  AFFINITY=%IBM.JVM_Monitor;
*  NAME=Environment Data (V5500);
*  DESC=Query for JVM Environment Data (V5500);
*  USER=IBM;
*  VISIBLE=N;
*  READONLY=T;
*  TABLE=KJJ.ENVIRON;
*  COLUMNS=JOBNAME;
*  COLUMNS=JVMTYPE;
*  COLUMNS=VERSION;
*  COLUMNS=FULLVER;
*  COLUMNS=JAVAHOME;
*  COLUMNS=PROCESSORS;
*  COLUMNS=ASID;
*  COLUMNS=JVMPID;
*  COLUMNS=SMFID;
*  COLUMNS=COLLID;
*  COLUMNS=ORIGINNODE;
*  COLUMNS=JVMVERSION;
*  PRED=AND ENVIRON.ORIGINNODE EQ $NODE$;
*  PRED=AND ENVIRON.JVMPID EQ $JVMPID$;
*  PRED=AND ENVIRON.JOBNAME EQ $JOBNAME$;
*  PRED=AND ENVIRON.ASID EQ $ASID$;
*  PARMS="TIMEOUT","600",3;


DELETE FROM KFWQUERY   WHERE ID       =
 'KJJ.JVM_Environment_Data:5500';


INSERT INTO KFWQUERY
( ID,
  APPL,
  AFFINITIES,
  PROD_PROV,
  NAME,
  TEXT,
  LASTUSER,
  MODIFIED,
  QUERY
)
  VALUES 
( 'KJJ.JVM_Environment_Data:5500',
  'KJJ',
  '%IBM.JVM_Monitor        000000000y000000000',
  'P',
  'Environment Data (V5500)',
  'Query for JVM Environment Data (V5500)',
  'IBM',
  '1191029151333000',
'at=$THRUNODE$@table1.name=ENVIRON@table1.column1.name=JOBNAME@table1.co
lumn2.name=JVMTYPE@table1.column3.name=VERSION@table1.column4.name=FULLV
ER@table1.column5.name=JAVAHOME@table1.column6.name=PROCESSORS@table1.co
lumn7.name=ASID@table1.column8.name=JVMPID@table1.column9.name=SMFID@tab
le1.column10.name=COLLID@table1.column11.name=ORIGINNODE@table1.column12
.name=JVMVERSION@table1.columnCount=12@tableCount=1@filter1.connector=AN
D@filter1.column=ENVIRON.ORIGINNODE@filter1.operator=EQ@filter1.value=$N
ODE$@filter2.connector=AND@filter2.column=ENVIRON.JVMPID@filter2.operato
r=EQ@filter2.value=$JVMPID$@filter3.connector=AND@filter3.column=ENVIRON
.JOBNAME@filter3.operator=EQ@filter3.value=$JOBNAME$@filter4.connector=A
ND@filter4.column=ENVIRON.ASID@filter4.operator=EQ@filter4.value=$ASID$@
filterCount=4@parma1.value="TIMEOUT","600",3@parmaCount=1@readonly=T@pro
perty1.name=-1021A@property1.value=kfw.TableRow@propertyCount=1@history=
F@');
  
   
